Keywords
********


Links to manual entries
=======================

* A1FIT

* ADDDIFFUSEFIT

* ALLOW

* ALLPOINTS

* ANALYTICALFREQ

* AORESPONSE

* ARH

* AROMATICITY

* ATOMS

* BASIS

* BECKEGRID

* BONDORDERS

* CDFT

* CDSPECTRUM

* CM5

* CONCEPTUALDFT

* COREPOTENTIALS

* cpl

* cpl GGA

* cpl HYPERFINE

* cpl NMRCOUPLING

* CREATE

* CURRENTRESPONSE

* CVNDFT

* DEBUG

* densf

* DEPENDENCY

* DIMPAR

* DIMQM

* disper

* dos

* DRF

* ELECTRONTRANSFER

* ELECTROSTATICEMBEDDING

* ENERGYFRAG

* EPRINT

* ESP-CHELPG

* ESP-RESP

* ESR

* ETSNOCV

* EXACTDENSITY

* EXCITATIONS

* EXCITEDGO

* EXCITONTRANSFER

* EXTENDEDPOPAN

* EXTERNALS

* FDE

* FDEFRAGMENTS

* FOCDFT

* FORCEALDA

* QMFQ

* FRAGMENTS

* FRAGMETAGGATOTEN

* FRAGOCCUPATIONS

* FULLFOCK

* green

* GW

* HARTREEFOCK

* HFATOMSPERPASS

* HFMAXMEMORY

* HYPERPOL

* INTEGRATION

* IQA

* IRREPOCCUPATIONS

* lfdft

* lfdft_tdm

* LINEARSCALING

* LOCORB

* MBPT

* MCD

* METAGGA

* MODIFYEXCITATION

* MODIFYSTARTPOTENTIAL

* nmr

* nmr GFACTORS

* nmr NMR

* NOBECKEGRID

* NOPRINT

* NOSHAREDARRAYS

* NUCLEARMODEL

* NUMERICALQUALITY

* OCCUPATIONS

* OPTICALROTATION

* PARTIALZORA

* POLTDDFT

* PRINT

* QTAIM

* QTENS

* RADIALCOREGRID

* RELATIVITY

* REMOVEALLFRAGVIRTUALS

* REMOVEFRAGORBITALS

* RESPONSE

* RESTART

* RIHARTREEFOCK

* RISM

* ROSE

* SAVE

* SCF

* SELECTEXCITATION

* SFTDDFT

* SINGLEORBTRANS

* SKIP

* SLATERDETERMINANTS

* SM12

* SOLVATION

* SOMCD

* SOPERT

* SPINFLIP

* SPINPOLARIZATION

* SPINORBITMAGNETIZATION

* STCONTRIB

* STOFIT

* STOPAFTER

* SUBEXCI

* SYMMETRY

* SYMMETRYTOLERANCE

* TAILS

* TDA

* TOTALENERGY

* TRANSFERINTEGRALS

* UNRESTRICTED

* VANDERWAALS

* VECTORLENGTH

* XC

* XES

* ZFS

* ZLMFIT


Summary of all keywords
=======================


Engine ADF
----------

"A1Fit"
   Type:
      Float

   Default value:
      10.0

   Unit:
      Angstrom

   GUI name:
      Symmetric fit for distance >

   Description:
      STO-Fit keyword: distance between atoms, in Angstrom. The
      symmetric fit approximation is applied only for atoms farther
      apart.

"AccurateGradients"
   Type:
      Bool

   Default value:
      No

   Description:
      Print the nuclear gradients with more digits than usual.

"AddDiffuseFit"
   Type:
      Bool

   Default value:
      No

   GUI name:
      Add diffuse functions in fit: Yes

   Description:
      STO-Fit keyword: One can get more diffuse fit functions by
      setting this to True.

"AllDipMat"
   Type:
      Bool

   Default value:
      No

   Description:
      Print all dipole matrix elements between occupied and virtual
      Kohn-Sham orbitals.

"Allow"
   Type:
      String

   Recurring:
      True

   Description:
      Controlled aborts can in some cases be overruled. Of course, the
      checks have been inserted for good reasons and one should
      realize that ignoring them probably produces incorrect results
      or may lead to a program-crash.

"AllPoints"
   Type:
      Bool

   Default value:
      No

   GUI name:
      Force use of all points

   Description:
      ADF makes use of symmetry in the numerical integrations. Points
      are generated for the irreducible wedge, a symmetry unique sub
      region of space. Optionally the symmetry equivalent points are
      also used. This is achieved by setting this key to True.

"AnalyticalFreq"
   Type:
      Block

   Description:
      Define options for analytical frequencies.

   "B1Size"
      Type:
         Float

      Description:
         Sparse grid max memory size

   "B1Thresh"
      Type:
         Float

      Default value:
         1e-10

      Description:
         MMGF_DENB1 and MMGF_GRADB1 cutoff values

   "Check_CPKS_From_Iteration"
      Type:
         Integer

      Default value:
         1

      Description:
         Solution of the CPKS equations is an iterative process, and
         convergence is achieved if the difference between U1 matrix
         of successive iterations falls below a certain threshold.
         This key can be used to determine at which iteration the
         checking should start taking place.

   "Debug"
      Type:
         String

      Description:
         For debugging purposes. Options: fit, hessian, b1, densities,
         numbers, symmetry, all.

   "Hessian"
      Type:
         Multiple Choice

      Default value:
         reflect

      Options:
         [reflect, average]

      Description:
         Whether the final Hessian is obtained by reflecting or
         averaging?

   "Max_CPKS_Iterations"
      Type:
         Integer

      Default value:
         20

      Description:
         Calculating the analytical frequencies requires the solution
         of the Coupled Perturbed Kohn-Sham (CPKS) equations, which is
         an iterative process. If convergence is not achieved (a
         warning will be printed in the output if this is the case)
         then this subkey can be used to increase the number of
         iterations, although convergence is not guaranteed. The user
         required accuracy of the U1 matrix, as well as the ADF
         integration accuracy, can effect the rates of convergence.

   "Print"
      Type:
         String

      Description:
         Primarily for debugging purposes. Options: eigs, u1, parts.
         Choosing EIGS results in the print out of the MO
         eigenvectors, while U1 results in the print out of the U1
         matrices. Except for small molecules this will result in a
         lot of data being output, and so they are not recommended.
         Choosing PARTS results in the print out of various sub-
         hessians that add up to give the final analytical hessian.

   "PrintNormalModeAnalysis"
      Type:
         Bool

      Default value:
         No

      Description:
         Request ADF to print analysis of the normal modes
         independently of AMS.

   "U1_Accuracy"
      Type:
         Float

      Default value:
         5.0

      Description:
         Solution of the CPKS equations is an iterative process, and
         convergence is achieved if the difference between U1 matrix
         of successive iterations falls below a certain threshold.
         This subkey can be used to set the threshold. The accuracy of
         the U1 will be 10**(-x). So, the higher the number the more
         accurate the U1 will be. While this parameter effects the
         accuracy of the frequencies, other factors also effect the
         accuracy of the frequencies, especially the ADF integration
         accuracy.

"AOMat2File"
   Type:
      Bool

   Default value:
      No

   Description:
      Write PMatrix, Fock matrix, and overlap matrix on AO basis to
      file for future analysis purposes

"AOResponse"
   Type:
      Block

   Description:
      If the block key AORESPONSE is used, by default, the
      polarizability is calculated. Note that if the molecule has
      symmetry the key ALLPOINTS should be included

   "ALDA"
      Type:
         Bool

      Default value:
         No

      Description:
         Use ALDA only

   "Alpha"
      Type:
         Bool

      Default value:
         No

      Description:
         Calculate linear response

   "Beta"
      Type:
         Bool

      Default value:
         No

      Description:
         Will use 2n+1 rule to calculate beta.

   "CALCTRANSFORMPROP"
      Type:
         String

      Description:
         Transformation Properties of Polarizabilities

   "Components"
      Type:
         String

      Description:
         Limit the tensor components to the specified ones. Using this
         option may save the computation time. Options: XX, XY, XZ,
         YX, YY, YZ, ZX, ZY, ZZ

   "Cubic"
      Type:
         Bool

      Default value:
         No

      Description:
         Calculate cubic response

   "Damp"
      Type:
         Float

      Default value:
         0.4

      Description:
         Specify damping for non-acceleration iteration

   "Debug"
      Type:
         Integer

      Default value:
         0

      Description:
         Debug level for AOResponse.

   "DoNothing"
      Type:
         Bool

      Default value:
         No

      Description:
         Do nothing.

   "EFG"
      Type:
         Block

      Description:
         Perform a Mulliken type analysis of the EFG principal
         components, and an analysis in terms of canonical MOs.

      "Atom"
         Type:
            Integer

         Default value:
            1

         Description:
            The number of the nucleus at which the EFG is to be
            analyzed (ADF input ordering).

      "NBO"
         Type:
            Bool

         Default value:
            No

         Description:
            Perform an NBO/NLMO analysis of the EFG. Requires a series
            of calculations. See documentation.

      "Nuc"
         Type:
            Integer

         Default value:
            1

         Description:
            The number of the nucleus at which the EFG is to be
            analyzed (ADF internal atom ordering).

      "Thresh"
         Type:
            Float

         Default value:
            0.05

         Description:
            The threshold for printing the EFG-NBO contributions. The
            default is 0.05, which means that only orbitals with
            absolute value contribution larger than 5% of the total
            EFG are printed. To increase the number of contributions
            printed, specify a smaller threshold.

   "EFIOR"
      Type:
         Bool

      Default value:
         No

      Description:
   "EFISHG"
      Type:
         Bool

      Default value:
         No

      Description:
   "EFPLOT"
      Type:
         Bool

      Default value:
         No

      Description:
   "EL_DIPOLE_EL_DIPOLE"
      Type:
         String

      Description:
   "EL_DIPOLE_EL_OCTUPOLE"
      Type:
         String

      Description:
   "EL_DIPOLE_EL_QUADRUPOLE"
      Type:
         String

      Description:
   "EL_DIPOLE_MAG_DIPOLE"
      Type:
         String

      Description:
   "EL_DIPOLE_MAG_QUADRUPOLE"
      Type:
         String

      Description:
   "EL_QUADRUPOLE_EL_QUADRUPOLE"
      Type:
         String

      Description:
   "EL_QUADRUPOLE_MAG_DIPOLE"
      Type:
         String

      Description:
   "EOPE"
      Type:
         Bool

      Default value:
         No

      Description:
   "FitAODeriv"
      Type:
         Bool

      Default value:
         No

      Description:
         Use FITAODERIV for Coulomb potential

   "Frequencies"
      Type:
         Float List

      Default value:
         [0.0]

      Unit:
         eV

      Description:
         List of frequencies of incident light, the perturbing field,
         at which the time-dependent properties will be calculated.

   "GIAO"
      Type:
         Bool

      Default value:
         No

      Description:
         Use gauge-included atomic orbitals

   "Gamma"
      Type:
         Bool

      Default value:
         No

      Description:
         Will use 2n+1 rule to calculate gamma.

   "HirshPol"
      Type:
         Bool

      Default value:
         No

      Description:
         Hirshfeld Polarizability of fragments

   "IDRI"
      Type:
         Bool

      Default value:
         No

      Description:
   "LifeTime"
      Type:
         Float

      Unit:
         Hartree

      Description:
         Specify the resonance peak width (damping) in Hartree units.
         Typically the lifetime of the excited states is approximated
         with a common phenomenological damping parameter. Values are
         best obtained by fitting absorption data for the molecule,
         however, the values do not vary a lot between similar
         molecules, so it is not hard to estimate values. A value of
         0.004 Hartree was used in Ref. [266].

   "MAG_DIPOLE_MAG_DIPOLE"
      Type:
         String

      Description:
   "MagOptRot"
      Type:
         Bool

      Default value:
         No

      Description:
         Calculate magneto-optical rotation

   "MagneticPert"
      Type:
         Bool

      Default value:
         No

      Description:
         Use magnetic field as a perturbation

   "NBO"
      Type:
         Bool

      Default value:
         No

      Description:
         Perform NBO analysis

   "NoCore"
      Type:
         Bool

      Default value:
         No

      Description:
         if NOCORE is set we skip the core potential in diamagnetic
         term and/or in the unperturbed density of the CPKS solvers

   "OKE"
      Type:
         Bool

      Default value:
         No

      Description:
   "OPTICALR"
      Type:
         Bool

      Default value:
         No

      Description:
   "OpticalRotation"
      Type:
         Bool

      Default value:
         No

      Description:
         Calculate optical rotation

   "QuadBeta"
      Type:
         Bool

      Default value:
         No

      Description:
         Quadrupole operators with beta tensor

   "QuadPert"
      Type:
         Bool

      Default value:
         No

      Description:
         Calculate quadrupole-quadrupole polarizability

   "Quadratic"
      Type:
         Bool

      Default value:
         No

      Description:
         Calculate quadratic response

   "Quadrupole"
      Type:
         Bool

      Default value:
         No

      Description:
         Calculate dipole-quadrupole polarizability

   "Raman"
      Type:
         Bool

      Default value:
         No

      Description:
   "SCF"
      Type:
         String

      Description:
         Specify CPKS parameters such as the degree of convergence and
         the maximum number of iterations: NOCYC - disable self-
         consistence altogetherNOACCEL - disable convergence
         accelerationCONV - convergence criterion for CPKS. The
         default value is 10-6 . The value is relative to the
         uncoupled result (i.e. to the value without self-
         consistence).ITER - maximum number of CPKS iterations, 50 by
         default.Specifying ITER=0 has the same effect as specifying
         NOCYC.

   "SHG"
      Type:
         Bool

      Default value:
         No

      Description:
   "STATIC"
      Type:
         Bool

      Default value:
         No

      Description:
   "THG"
      Type:
         Bool

      Default value:
         No

      Description:
   "TPA"
      Type:
         Bool

      Default value:
         No

      Description:
   "Traceless"
      Type:
         Bool

      Default value:
         No

      Description:
         Traceless quadrupole tensors

   "VROA"
      Type:
         Bool

      Default value:
         No

      Description:
         Calculate Vibrational Raman Optical Activity.

   "VelocityOrd"
      Type:
         Bool

      Default value:
         No

      Description:
         Use VelocityOrd without GIAOs

   "XAlpha"
      Type:
         Bool

      Default value:
         No

      Description:
         Xalpha potential

"Aromaticity"
   Type:
      Block

   Description:
      Calculate aromaticity indicators, i.e. the matrix of
      localization/delocalization indices (LI-DI), Iring (ring index)
      and MCI (multi center index) aromaticity indices.

   "RingAtoms"
      Type:
         Integer List

      Recurring:
         True

      Description:
         List of the atom numbers that form a ring. For each ring a
         separate line.

"AtomicChargesTypeForAMS"
   Type:
      Multiple Choice

   Default value:
      Mulliken

   Options:
      [Mulliken, Hirshfeld, CM5, Voronoi, MDC-M, MDC-D, MDC-Q, QTAIM,
      ESP-CHELPG, ESP-RESP]

   GUI name:
      Atomic charges for AMS

   Description:
      Type of atomic charges to be used by AMS.

      Note that some of these atomic charges are computed and printed
      by default in ADF.

      Hirshfeld charges are available only for default atomic
      fragments.

"Balance"
   Type:
      Bool

   Default value:
      No

   Description:
      Measure the actual speed of the nodes in the parallel machine

"Basis"
   Type:
      Block

   Description:
      Definition of the basis set

   "Core"
      Type:
         Multiple Choice

      Default value:
         Large

      Options:
         [None, Small, Large]

      GUI name:
         Frozen core

      Description:
         Select the size of the frozen core you want to use.

         Small and Large will be interpreted within the basis sets
         available (of the selected quality), and might refer to the
         same core in some cases.

         If you specify 'None' you are guaranteed to have an all-
         electron basis set.

   "CreateOutput"
      Type:
         Bool

      Default value:
         No

      Description:
         If true, the output of the atomic create runs will be printed
         to standard output. If false, it will be saved to the file
         CreateAtoms.out in the AMS results folder.

   "FitType"
      Type:
         Multiple Choice

      Default value:
         Auto

      Options:
         [Auto, SZ, DZ, DZP, TZP, TZ2P, QZ4P, TZ2P-J, QZ4P-J, AUG/ASZ,
         AUG/ADZ, AUG/ADZP, AUG/ATZP, AUG/ATZ2P, ET/ET-pVQZ, ET/ET-
         QZ3P, ET/ET-QZ3P-1DIFFUSE, ET/ET-QZ3P-2DIFFUSE, ET/ET-QZ3P-
         3DIFFUSE]

      GUI name:
         STO fit set

      Description:
         Expert option.

         Select the auxiliary fit to be used for STOfit or old
         Hartree-Fock RI scheme.

         The fit set for a given atom is taken from the all-electron
         basis set file for the specified choice, for the same element
         as the atom.

         By default (Auto) the fit set is taken from the original
         basis set file.

   "Path"
      Type:
         String

      Description:
         The name of an alternative directory with basis sets to use.
         ADF looks for appropriate basis sets only within this
         directory. Default $AMSRESOURCES/ADF.

   "PerAtomType"
      Type:
         Block

      Recurring:
         True

      Description:
         Defines the basis set for all atoms of a particular type.

      "Core"
         Type:
            Multiple Choice

         Options:
            [None, Small, Large]

         Description:
            Size of the frozen core.

      "File"
         Type:
            String

         Description:
            The path of the basis set file (the path can either
            absolute or relative to $AMSRESOURCES/ADF). Note that one
            should include ZORA in the path for relativistic
            calculations, for example 'ZORA/QZ4P/Au'. Specifying the
            path to the basis file explicitly overrides the automatic
            basis file selection via the Type and Core subkeys.

      "Symbol"
         Type:
            String

         Description:
            The symbol for which to define the basis set.

      "Type"
         Type:
            Multiple Choice

         Options:
            [SZ, DZ, DZP, TZP, TZ2P, QZ4P, TZ2P-J, QZ4P-J, mTZ2P,
            AUG/ASZ, AUG/ADZ, AUG/ADZP, AUG/ATZP, AUG/ATZ2P, ET/ET-
            pVQZ, ET/ET-QZ3P, ET/ET-QZ3P-1DIFFUSE, ET/ET-QZ3P-
            2DIFFUSE, ET/ET-QZ3P-3DIFFUSE, Corr/TZ3P, Corr/QZ6P,
            Corr/ATZ3P, Corr/AQZ6P, POLTDDFT/DZ, POLTDDFT/DZP,
            POLTDDFT/TZP]

         Description:
            The basis sets to be used.

   "PerRegion"
      Type:
         Block

      Recurring:
         True

      Description:
         Defines the basis set for all atoms in a region. If
         specified, this overwrites the values set with the Basis%Type
         and Basis%PerAtomType keywords for atoms in that region. Note
         that if this keyword is used multiple times, the chosen
         regions may not overlap.

      "Core"
         Type:
            Multiple Choice

         Default value:
            Large

         Options:
            [None, Small, Large]

         Description:
            Size of the frozen core.

      "File"
         Type:
            String

         Description:
            The path of the basis set file (the path can either
            absolute or relative to $AMSRESOURCES/ADF). Note that one
            should include ZORA in the path for relativistic
            calculations, for example 'ZORA/QZ4P/Au'. Specifying the
            path to the basis file explicitly overrides the automatic
            basis file selection via the Type and Core subkeys.

      "Region"
         Type:
            String

         Description:
            The identifier of the region for which to define the basis
            set. Note that this may also be a region expression, e.g.
            'myregion+myotherregion' (the union of two regions).

      "Type"
         Type:
            Multiple Choice

         Default value:
            DZ

         Options:
            [SZ, DZ, DZP, TZP, TZ2P, QZ4P, TZ2P-J, QZ4P-J, mTZ2P,
            AUG/ASZ, AUG/ADZ, AUG/ADZP, AUG/ATZP, AUG/ATZ2P, ET/ET-
            pVQZ, ET/ET-QZ3P, ET/ET-QZ3P-1DIFFUSE, ET/ET-QZ3P-
            2DIFFUSE, ET/ET-QZ3P-3DIFFUSE, Corr/TZ3P, Corr/QZ6P,
            Corr/ATZ3P, Corr/AQZ6P, POLTDDFT/DZ, POLTDDFT/DZP,
            POLTDDFT/TZP]

         Description:
            The basis sets to be used.

   "Type"
      Type:
         Multiple Choice

      Default value:
         DZ

      Options:
         [SZ, DZ, DZP, TZP, TZ2P, QZ4P, TZ2P-J, QZ4P-J, mTZ2P,
         AUG/ASZ, AUG/ADZ, AUG/ADZP, AUG/ATZP, AUG/ATZ2P, ET/ET-pVQZ,
         ET/ET-QZ3P, ET/ET-QZ3P-1DIFFUSE, ET/ET-QZ3P-2DIFFUSE, ET/ET-
         QZ3P-3DIFFUSE, Corr/TZ3P, Corr/QZ6P, Corr/ATZ3P, Corr/AQZ6P,
         POLTDDFT/DZ, POLTDDFT/DZP, POLTDDFT/TZP]

      GUI name:
         Basis set

      Description:
         Select the basis set to use.

         SZ: Single Z

         DZ: Double Z

         DZP: Double Z, 1 polarization function

         TZP: Triple Z, 1 polarization function

         TZ2P: Triple Z, 2 polarization functions

         QZ4P: Quad Z, 4 pol functions, all-electron

         AUG: Augmented (extra diffuse functions)

         ET: Even tempered all electron basis sets

         J: Extra tight functions

         These descriptions are meant to give an indication of the
         quality,

         but remember that ADF uses Slater type functions.

         For standard calculations (energies, geometries, etc.) the
         relative quality is:

         SZ < DZ < DZP < TZP < TZ2P < ET-pVQZ < QZ4P

         The basis set chosen will apply to all atom types in your
         molecule. If no matching basis set is found, ADF will try to
         use a basis set of better quality.

         For TDDFT applications and small negatively charged atoms or
         molecules, use basis sets with extra diffuse functions.

         J: TZ2P-J, QZ4P-J: for use in ESR hyperfine or NMR spin-spin
         couplings.

         Use the Basis panel to select a basis set per atom type, and
         to see what basis set actually will be used.

"BeckeGrid"
   Type:
      Block

   Description:
      Options for the numerical integration grid.

   "AllowAngularBoost"
      Type:
         Bool

      Default value:
         Yes

      Description:
         Allow automatic augmentation of the Lebedev spherical grid
         for highly coordinated atoms.

   "InnerShellsPruning"
      Type:
         Bool

      Default value:
         Yes

      Description:
         Allow automatic pruning of the Lebedev spherical grid for
         shells close to the nuclei.

   "PartitionFunPruning"
      Type:
         Bool

      Default value:
         Yes

      Description:
         Allow pruning of integration points based on the value of the
         partition function.

   "QPNear"
      Type:
         Float

      Unit:
         Angstrom

      Description:
         Only relevant if you have specified point charges in the
         input file. ADF generates grids only about those point
         charges that are close to any real atoms. The criterion,
         input with the qpnear subkey, is the closest distance between
         the point charge at hand and any real atom.

   "Quality"
      Type:
         Multiple Choice

      Default value:
         Auto

      Options:
         [Auto, Basic, Normal, Good, VeryGood, Excellent]

      Description:
         Quality of the integration grid. For a description of the
         various qualities and the associated numerical accuracy see
         reference. If 'Auto', the quality defined in the
         'NumericalQuality' will be used.

   "QualityPerRegion"
      Type:
         Block

      Recurring:
         True

      Description:
         Sets the grid quality for all atoms in a region. If
         specified, this overwrites the globally set quality.

      "Quality"
         Type:
            Multiple Choice

         Options:
            [Basic, Normal, Good, VeryGood, Excellent]

         Description:
            The region's integration grid quality.

      "Region"
         Type:
            String

         Description:
            The identifier of the region for which to set the quality.

   "RadialGridBoost"
      Type:
         Float

      Description:
         The number of radial grid points will be boosted by this
         factor. Some XC functionals require very accurate radial
         integration grids, so ADF will automatically boost the radial
         grid by a factor 3 for the following numerically sensitive
         functionals: LibXC M05, LibXC M05-2X, LibXC M06-2X, LibXC
         M06-HF, LibXC M06-L, LibXC M08-HX, LibXC M08-SO, LibXC M11-L,
         LibXC MS0, LibXC MS1, LibXC MS2, LibXC MS2H, LibXC MVS, LibXC
         MVSH, LibXC N12, LibXC N12-SX, LibXC SOGGA11, LibXC
         SOGGA11-X, LibXC TH1, LibXC TH2, LibXC WB97, LibXC WB97X,
         MetaGGA M06L, MetaHybrid M06-2X, MetaHybrid M06-HF, MetaGGA
         MVS.

"BondOrders"
   Type:
      Block

   Description:
      Options for the calculation of bond orders. Note: the
      calculation of bond orders should be requested via the
      Properties%BondOrders input option in the AMS driver input.

   "Calculate"
      Type:
         Bool

      Default value:
         No

      Description:
         Whether or not the bond orders should be calculated. This is
         for internal use/debug purposes, except for multi-atomic
         fragments. In case of atomic fragments one should request the
         bond orders at the AMS driver level via the
         Properties%BondOrders input option. For multi-atomic
         fragments, however, one should not request the bond orders at
         the AMS driver level, but instead use this key.

   "PrintAll"
      Type:
         Bool

      Default value:
         No

      Description:
         If 'Yes', all five types of bond orders (i.e. Nalewajski-
         Mrozek-1,2 & 3, Mayer and Gopinathan-Jug) will be printed to
         the output. Otherwise only the Nalewajski-Mrozek-3 and the
         type requested in BondOrders%TypeForAMS will be printed.

   "PrintTolerance"
      Type:
         Float

      Default value:
         0.2

      Description:
         Only bond orders larger than this threshold will be printed
         in the output (this treshold applies only to the printing in
         the 'BOND-ORDER ANALYSIS' section of the ADF output.

   "TypeForAMS"
      Type:
         Multiple Choice

      Default value:
         Nalewajski-Mrozek-3

      Options:
         [Nalewajski-Mrozek-1, Nalewajski-Mrozek-2, Nalewajski-
         Mrozek-3, Mayer, Gopinathan-Jug]

      GUI name:
         Bond order type for AMS

      Description:
         The type of bond order that will be saved, printed and used
         by AMS.

         Nalewajski-Mrozek-1,2: bond orders calculated from two-
         electron valence indices based on partitioning of
         tr(Delta_P^2) using 3-index set or 4-index set respectively.
         Nalewajski-Mrozek-3: bond-orders calculated from valence
         indices based on partitioning of tr(P*Delta_P). Inter-atomic
         bond orders are not defined with non-atomic fragments.

"CalcOverlapOnly"
   Type:
      Bool

   Default value:
      No

   Description:
      Calculate overlaps of primitive basis and stops after computing
      them.

"CC"
   Type:
      Block

   Description:
      Technical aspects of CC methods

   "ConvThreshold"
      Type:
         Float

      Default value:
         1e-09

      Description:
         Minimum threshold of convergence for the CC energy

   "Extrapolation"
      Type:
         Multiple Choice

      Default value:
         CROP

      Options:
         [LinMix, DIIS, CROP]

      Description:
         Specifies the t-amplitude extrapolation algorithm to be used
         in a CC calculation

   "MaxIts"
      Type:
         Integer

      Default value:
         50

      Description:
         The maximum number of iterations to be used in a Coupled
         Cluster calculation.

   "TensBuffer"
      Type:
         Integer

      Default value:
         50

      Description:
         The amount of memory, in GB, available for the tensor
         contraction library.

   "Type"
      Type:
         Multiple Choice

      Default value:
         SD

      Options:
         [None, SD, D, SDT, SDTQ, SD(T)]

      Description:
         The excitation level of the CC calculation. Spin-restricted
         calculations go up to CCSD.

"CDFT"
   Type:
      Block

   Description:
      CDFT is a tool for carrying out DFT calculations in the presence
      of a constraint.

   "AllAtoms"
      Type:
         Bool

      Default value:
         No

      Description:
         If AllAtoms is true, then TheAtoms is overridden and all the
         atoms in the active fragment are included in the set.

   "AnalyticalHessian"
      Type:
         Integer

      Default value:
         0

      Description:
         This will calculate the analytical derivative of the energy
         w.r.t. the Lagrange multiplier up to the specified SCF
         iteration. This key is not recommended due to the high
         computational cost that comes with it. The calculation is
         equivalent to a ground state Hessian, and it is carried out
         with the full sum-over-states formula.

   "ChargeAndSpin"
      Type:
         Bool

      Default value:
         No

      Description:
         will constrain both the charge and the spin

   "Constraints"
      Type:
         Float List

      Description:
         The values of the constraints. If CHARGEANDSPIN, constraints
         to the alpha and beta electrons need to be specified
         sequentially. One more electron => CONSTRAINTS -1.0. One less
         electron => CONSTRAINTS 1.0. If the CDFT type is EXCITEDCDFT,
         CONSTRAINTS=1.0 is recommended. Other values are technically
         possible but have not been tested yet.

   "DoNotOptimize"
      Type:
         Bool

      Default value:
         No

      Description:
         If true, the multipliers chosen in INITIALMULTIPLIERS will
         not be optimized and will be constant throughout the entire
         SCF procedure.

   "ExcitedCDFT"
      Type:
         Bool

      Default value:
         No

      Description:
         will generate an excited state with CONSTRAINTS number of
         ALPHA electrons constrained to occupy the virtual space of a
         ground state reference calculation. This is the essence of
         the eXcited Constrained DFT (XCDFT) method(P. Ramos, M.
         Pavanello, Low-lying excited states by constrained DFT,
         Journal of Chemical Physics 148, 144103 (2018)
         https://doi.org/10.1063/1.5018615) for the calculation of
         low-lying single excitations. XCDFT is found to correctly
         reproduce the energy surface topology at conical
         intersections between the ground state and the first singly
         excited state and can also accounts for the condensed phase
         effects in solvated chromophores where typical Delta SCF
         methods variationally collapse.

   "InitialMultipliers"
      Type:
         Float List

      Description:
         If available, a guess for the Lagrange multipliers can be
         entered.

   "MaxIter"
      Type:
         Integer

      Default value:
         200

      Description:
         Maximum number of CDFT iterations. CDFT carries out a loop
         nested inside the SCF cycle.

   "Metric"
      Type:
         Bool

      Default value:
         No

      Description:
         Relevant for XCDFT. In the XCDFT method orthogonality is not
         imposed between the KS-orbitals of ground and excited states.
         If METRIC is specified, the degree of mixing of the single
         excited state with the ground state or high-order excitations
         is calculated. Three parameters are calculated: p, m and d.
         The parameters p and m will give information about the amount
         of mixing with the ground state, while parameter d will
         determine the mixing with high order excitations. Additional
         information about the origin of these parameters can be found
         in the literature (P. Ramos, M. Pavanello, Low-lying excited
         states by constrained DFT, Journal of Chemical Physics 148,
         144103 (2018) https://doi.org/10.1063/1.5018615)

   "NAtomsPerSet"
      Type:
         Integer List

      Description:
         The number of atoms in each moiety (set).

   "NConstraints"
      Type:
         Integer

      Default value:
         1

      Description:
         This specifies the number of sets of atoms to be considered.
         For example, if the user wishes to constrain a positive
         charge on one part of the system, and a negative charge on
         another part, NCONSTRAINTS should be set to two. There is no
         limit on the number of constraints. However, SCF convergence
         becomes an issue with more than 2 constraints. Note:
         NCONSTRAINTS>1 is untested.

   "OnlyCharge"
      Type:
         Bool

      Default value:
         Yes

      Description:
         Will constrain only the charge, letting spin relax (and
         potentially delocalize)

   "OnlySpin"
      Type:
         Bool

      Default value:
         No

      Description:
         Will constrain only the spin

   "PopType"
      Type:
         Multiple Choice

      Default value:
         yukawalike

      Options:
         [yukawalike, fuzzyvoronoibecke, fuzzyvoronoifermi]

      Description:
         The population analysis chosen for determining the
         constraint.

   "Print"
      Type:
         Multiple Choice

      Default value:
         low

      Options:
         [low, medium, high]

      Description:
         Print level and debugging.

   "SelfConsistent"
      Type:
         Bool

      Default value:
         No

      Description:
         Self-Consistent CDFT

   "StepSize"
      Type:
         Float

      Default value:
         0.5

      Description:
         The amount of the Lagrange multipliers step taken in each
         CDFT iteration

   "TheAtoms"
      Type:
         Integer List

      Description:
         The atom numbers of the moieties in the input geometry order.
         If NCONSTRAINTS is larger than 1, the sets of atoms are
         entered as a single list.

   "Threshold"
      Type:
         Float

      Default value:
         1e-10

      Description:
         The threshold for convergence of the CDFT constraints. The
         tighter the SCF convergence criteria, the tighter the
         THRESHOLD should be.

"CM5"
   Type:
      Bool

   Default value:
      No

   GUI name:
      : CM5 charges

   Description:
      Calculate the charge model 5 (CM5) analysis.

"comment"
   Type:
      Non-standard block

   Description:
      The content of this block will be copied to the output header as
      a comment to the calculation.

"ConceptualDFT"
   Type:
      Block

   Description:
      Conceptual DFT Properties

   "AnalysisLevel"
      Type:
         Multiple Choice

      Default value:
         Normal

      Options:
         [Normal, Extended, Full]

      Description:
         Set the level of the ConceptualDFT analysis:

         Normal - global descriptors only,

         Extended - both global and condensed (QTAIM) local
         descriptors,

         Full - all descriptors including non local ones.

   "AtomsToDo"
      Type:
         Integer List

      GUI name:
         Include atoms

      Description:
         Define a subset of atoms for which properties are calculated.
         If the [Domains] block is present then this list specifies
         which atoms are used to define the domains bounding box.

   "Domains"
      Type:
         Block

      Description:
         Calculate integrated properties for the domains (same sign)
         of the dual descriptor.

      "Border"
         Type:
            Float

         Default value:
            7.0

         Unit:
            Bohr

         Description:
            Set the extent of the Cartesian grid. Extent is the
            distance between a face of the grid's bounding box and the
            most outlying atom in the corresponding direction. If the
            [AtomsToDo] key is present, the bounding box is created
            around the specified atoms.

      "Display"
         Type:
            Float

         Default value:
            0.005

         Description:
            Domains for which the integrated DD value is smaller (in
            magnitude) than the specified value are omitted from the
            printed output.

      "Enabled"
         Type:
            Bool

         Default value:
            No

         GUI name:
            Properties of reactivity domains

         Description:
            Calculate properties of reactivity domains.

      "Ensemble"
         Type:
            Multiple Choice

         Default value:
            Canonical

         Options:
            [Canonical, GrandCanonical]

         Description:
            Statistical ensemble for DD domains. Canonical: DD values
            are calculated using the statistical canonical ensemble.
            GrandCanonical: DD values are calculated using the
            statistical grand canonical ensemble. The grand canonical
            DD corresponds to (S^2 f(2) - (gamma/eta^3) f^0), where
            f(2) is the canonical DD, gamma and eta - the hyper-
            hardness and hardness of the chemical system,
            respectively, and f^0 is the mean Fukui function. This
            statistical ensemble is a natural choice when comparing
            two chemical systems with a different number of electrons.

      "Radius"
         Type:
            Float

         Default value:
            0.0

         Description:
            This option adds a sphere around each nucleus, excluding
            all points inside it. This can help to separate domains
            around an atom or to exclude core electrons. Be careful
            when using this option. In particular, the radius of the
            sphere should exceed two or three times the [Spacing]
            value to be effective. By default, no spheres are added.

      "Spacing"
         Type:
            Float

         Default value:
            0.1

         Unit:
            Bohr

         Description:
            Specifies spacing (distance between neighboring points) of
            the rectangular Cartesian grid used when searching for DD
            domains. It may be useful to specify a smaller value (or
            increase the size of the grid, see [Border] key) if a
            substantial part of the electronic density is accounted
            for.

      "Threshold"
         Type:
            Float

         Default value:
            0.001

         Description:
            Arbitrary value of dual descriptor used to separate DD
            domains (values below this threshold are ignored).

   "Electronegativity"
      Type:
         Bool

      Default value:
         No

      GUI name:
         Atomic electronegativities

      Description:
         Calculate atomic electronegativities. Requires an all-
         electron calculation (no frozen core), triggers the
         TotalEnergy and increases the [AnalysisLevel] to at least
         Extended.

   "Enabled"
      Type:
         Bool

      Default value:
         No

      GUI name:
         Conceptual DFT (FMO): Calculate

      Description:
         Calculate Conceptual DFT properties.

"ConstructPot"
   Type:
      Block

   Description:
      Reads a density from a TAPE41 file and constructs numerically
      the corresponding potential to it

   "CPBasis"
      Type:
         Bool

      Default value:
         Yes

      Description:
   "CPGrid"
      Type:
         Bool

      Default value:
         No

      Description:
   "Converge"
      Type:
         Float

      Default value:
         1e-06

      Description:
   "CutNegativeDens"
      Type:
         Float

      Default value:
         0.0001

      Description:
   "Damp"
      Type:
         Float

      Default value:
         1.0

      Description:
   "DensConv"
      Type:
         Float

      Description:
   "EigenShift"
      Type:
         Float

      Default value:
         0.01

      Description:
   "FitBas"
      Type:
         Bool

      Default value:
         Yes

      Description:
   "FixedLambda"
      Type:
         Bool

      Default value:
         No

      Description:
   "ImportDens"
      Type:
         String

      Description:
         Filename of density...

   "Lambda"
      Type:
         Float

      Default value:
         0.01

      Description:
   "PotBas"
      Type:
         String

      Description:
         Filename...

   "PotProj"
      Type:
         String

      Description:
   "ProjChange"
      Type:
         Float

      Default value:
         -1.0

      Description:
   "ProjSmallDens"
      Type:
         Float

      Default value:
         1e-50

      Description:
   "QPiterations"
      Type:
         Integer

      Default value:
         1000

      Description:
   "SVD"
      Type:
         Bool

      Default value:
         No

      Description:
   "SmallEigThresh"
      Type:
         Float

      Default value:
         0.0001

      Description:
   "StartPot"
      Type:
         String

      Description:
         Filename of potential...

   "StepSize"
      Type:
         Float

      Default value:
         1.0

      Description:
   "TIKH"
      Type:
         Float

      Default value:
         0.0

      Description:
"CorePotentials"
   Type:
      Non-standard block

   Description:
      With the key COREPOTENTIALS you specify the core file and
      (optionally) which sections pertain to the distinct atom types
      in the molecule.

"Create"
   Type:
      String

   Description:
      Keywords for create run. {Atomtype Datafile}

"CurrentResponse"
   Type:
      Block

   Description:
   "CDSpec"
      Type:
         Bool

      Default value:
         No

      Description:
   "Damping"
      Type:
         Float

      Default value:
         0.0

      Description:
   "GTensor"
      Type:
         Bool

      Default value:
         No

      Description:
   "Magnet"
      Type:
         Bool

      Default value:
         No

      Description:
   "NCT"
      Type:
         Float

      Default value:
         0.0

      Description:
   "NMRShielding"
      Type:
         Bool

      Default value:
         No

      Description:
   "NoVK"
      Type:
         Bool

      Default value:
         No

      Description:
   "PARTVK"
      Type:
         Float

      Default value:
         1.0

      Description:
   "Parabolic"
      Type:
         Float

      Default value:
         0.0

      Description:
   "QIANVignale"
      Type:
         Bool

      Default value:
         No

      Description:
   "Static"
      Type:
         Bool

      Default value:
         No

      Description:
"CVNDFT"
   Type:
      Block

   Description:
      The CVNDFT block key regulates the execution of the CV(n)-DFT
      code, which calculates the singlet or triplet electronic
      excitations for the closed shell molecules.

   "CV_DFT"
      Type:
         Block

      Description:
         The simplest case: the TDDFT transition density U-vector is
         substituted into the infinite order CV(infinity)-DFT
         excitation energy

      "InitGuess"
         Type:
            Multiple Choice

         Default value:
            TDDFT

         Options:
            [TDDFT, SOR]

         Description:
            Initial guess

   "DSCF_CV_DFT"
      Type:
         Block

      Description:
         The simplest case: the TDDFT transition density U-vector is
         substituted into the infinite order CV(infinity)-DFT
         excitation energy

      "DampOrbRelax"
         Type:
            Float

         Default value:
            0.2

         Description:
            The mix_relax parameter defines the relative weight of the
            new relaxation vector that is added to the one from the
            previous iteration.

      "DampVariable"
         Type:
            Bool

         Default value:
            No

         Description:
            Damping condition

      "Damping"
         Type:
            Float

         Default value:
            0.2

         Description:
            Damping

      "InitGuess"
         Type:
            Multiple Choice

         Default value:
            SOR

         Options:
            [TDDFT, SOR]

         Description:
            Initial guess

      "Optimize"
         Type:
            Multiple Choice

         Default value:
            SVD

         Options:
            [SVD, SOR, COL]

         Description:
            Gradient optimization method

      "RelaxAlpha"
         Type:
            Integer

         Default value:
            1

         Description:
            The SCF cycle number at which the relaxation of alpha
            orbitals starts.

      "RelaxBeta"
         Type:
            Integer

         Default value:
            1

         Description:
            The SCF cycle number at which the relaxation of beta
            orbitals starts.

   "Iteration"
      Type:
         Integer

      Default value:
         50

      Description:
         The maximum number of iterations

   "RSCF_CV_DFT"
      Type:
         Block

      Description:
         The simplest case: the TDDFT transition density U-vector is
         substituted into the infinite order CV(infinity)-DFT
         excitation energy

      "DampOrbRelax"
         Type:
            Float

         Default value:
            0.2

         Description:
            The mix_relax parameter defines the relative weight of the
            new relaxation vector that is added to the one from the
            previous iteration.

      "DampVariable"
         Type:
            Bool

         Default value:
            No

         Description:
            Damping condition

      "Damping"
         Type:
            Float

         Default value:
            0.2

         Description:
            Damping

      "InitGuess"
         Type:
            Multiple Choice

         Default value:
            TDDFT

         Options:
            [TDDFT, SOR]

         Description:
            Initial guess

      "RelaxAlpha"
         Type:
            Integer

         Default value:
            1

         Description:
            The SCF cycle number at which the relaxation of alpha
            orbitals starts.

      "RelaxBeta"
         Type:
            Integer

         Default value:
            1

         Description:
            The SCF cycle number at which the relaxation of beta
            orbitals starts.

   "R_CV_DFT"
      Type:
         Block

      Description:
         The simplest case: the TDDFT transition density U-vector is
         substituted into the infinite order CV(infinity)-DFT
         excitation energy

      "DampOrbRelax"
         Type:
            Float

         Default value:
            0.2

         Description:
            The mix_relax parameter defines the relative weight of the
            new relaxation vector that is added to the one from the
            previous iteration.

      "DampVariable"
         Type:
            Bool

         Default value:
            No

         Description:
            Damping condition

      "InitGuess"
         Type:
            Multiple Choice

         Default value:
            TDDFT

         Options:
            [TDDFT, SOR]

         Description:
            Initial guess

      "RelaxAlpha"
         Type:
            Integer

         Default value:
            1

         Description:
            The SCF cycle number at which the relaxation of alpha
            orbitals starts.

      "RelaxBeta"
         Type:
            Integer

         Default value:
            1

         Description:
            The SCF cycle number at which the relaxation of beta
            orbitals starts.

   "SCF_CV_DFT"
      Type:
         Block

      Description:
         The simplest case: the TDDFT transition density U-vector is
         substituted into the infinite order CV(infinity)-DFT
         excitation energy

      "DampVariable"
         Type:
            Bool

         Default value:
            No

         Description:
            Damping condition

      "Damping"
         Type:
            Float

         Default value:
            0.2

         Description:
            Damping

      "InitGuess"
         Type:
            Multiple Choice

         Default value:
            TDDFT

         Options:
            [TDDFT, SOR]

         Description:
            Initial guess

   "Tolerance"
      Type:
         Float

      Default value:
         0.0001

      Description:
         The convergence criterion, i.e. the SCF-CV(infinity)-DFT
         procedure stops when the given accuracy is achieved.

"Debug"
   Type:
      String

   Recurring:
      True

   Description:
      The amount of printed output is regulated with the keys Print,
      NoPrint, EPrint and Debug.

"Dependency"
   Type:
      Block

   Description:
   "Enabled"
      Type:
         Bool

      Default value:
         No

      GUI name:
         Fix dependencies

      Description:
         Used to make the basis or fit set linearly independent, up to
         the threshold specified below.

         This is typically important when you have many diffuse
         functions in your basis or fit set.

   "bas"
      Type:
         Float

      Default value:
         0.0001

      GUI name:
         Threshold for basis

      Description:
         A criterion applied to the overlap matrix of unoccupied
         normalized SFOs. Eigenvectors corresponding to smaller
         eigenvalues are eliminated from the valence space.

         Note: if you choose a very coarse value, you will remove too
         many degrees of freedom in the basis set, while if you choose
         it too strict, the numerical problems may not be countered
         adequately.

   "eig"
      Type:
         Float

      Default value:
         100000000.0

      Description:
         Merely a technical parameter. When the DEPENDENCY key is
         activated, any rejected basis functions (i.e.: linear
         combinations that correspond with small eigenvalues in the
         virtual SFOs overlap matrix) are normally processed until
         diagonalization of the Fock matrix takes place. At that
         point, all matrix elements corresponding to rejected
         functions are set to zero (off-diagonal) and BigEig
         (diagonal).

         In AMSinput you must check the Fix Linear dependency check
         box for this option to be used.

   "fit"
      Type:
         Float

      Default value:
         1e-10

      GUI name:
         Threshold for fit

      Description:
         Similar to Dependency%bas.

         The criterion is now applied to the overlap matrix of fit
         functions.

         The fit coefficients, which give the approximate expansion of
         the charge density in terms of the fit functions (for the
         evaluation of the coulomb potential) are set to zero for fit
         functions (i.e.: combinations of) corresponding to small-
         eigenvalue eigenvectors of the fit overlap matrix.

"Diffuse"
   Type:
      Bool

   Default value:
      No

   Description:
      Adding diffuse integration points in case of the old Voronoi
      numerical integration grid.

"DIMPAR"
   Type:
      Non-standard block

   Description:
      In this block, the parameters for the DIM atoms are defined in
      DIM/QM calculations.

"DIMQM"
   Type:
      Non-standard block

   Description:
      Input for DIM/QM

"DipoleLength"
   Type:
      Bool

   Default value:
      No

   Description:
      Use dipole-length elements for perturbing (external) integrals
      in CURRENT response

"DipoleResponse"
   Type:
      Bool

   Default value:
      No

   Description:
"DumpBasisOnly"
   Type:
      Bool

   Default value:
      No

   Description:
      Dump basis and fit set files use for each atom.

"ElectronTransfer"
   Type:
      Block

   Description:
      Block key for charge transfer integrals with FDE.

   "CDFT"
      Type:
         Bool

      Default value:
         No

      Description:
   "Debug"
      Type:
         Bool

      Default value:
         No

      Description:
   "Disjoint"
      Type:
         Bool

      Description:
   "FDE"
      Type:
         Bool

      Default value:
         No

      Description:
   "InvThr"
      Type:
         Float

      Default value:
         0.001

      Description:
   "Joint"
      Type:
         Bool

      Description:
   "KNADD"
      Type:
         Bool

      Default value:
         No

      Description:
   "NonCT"
      Type:
         Bool

      Default value:
         No

      Description:
   "NumFrag"
      Type:
         Integer

      Description:
   "Print"
      Type:
         String

      Description:
"EnergyFrag"
   Type:
      Non-standard block

   Description:
"EPrint"
   Type:
      Block

   Description:
      Print switches that require more specification than just off or
      on

   "AtomPop"
      Type:
         String

      Description:
         Mulliken population analysis on a per-atom basis

   "BASPop"
      Type:
         String

      Description:
         Mulliken population analysis on a per-bas-function basis

   "Eigval"
      Type:
         String

      Description:
         One-electron orbital energies

   "Fit"
      Type:
         String

      Description:
         Fit functions and fit coefficients

   "Frag"
      Type:
         String

      Description:
         Building of the molecule from fragments

   "FragPop"
      Type:
         String

      Description:
         Mulliken population analysis on a per fragment basis

   "Freq"
      Type:
         String

      Description:
         Intermediate results in the computation of frequencies (see
         debug: freq).

   "GeoStep"
      Type:
         String

      Description:
         Geometry updates (Optimization, Transition State, ...)

   "NumInt"
      Type:
         String

      Description:
         Numerical Integration

   "OrbPop"
      Type:
         Non-standard block

      Description:
         (Mulliken type) population analysis for individual MOs

   "OrbPopEr"
      Type:
         String

      Description:
         Energy Range (ER) in hartree units for the OrbPop subkey

   "Repeat"
      Type:
         String

      Description:
         Repetition of output in Geometry iterations (SCF,
         optimization, ...)

   "SCF"
      Type:
         String

      Description:
         Self Consistent Field procedure

   "SFO"
      Type:
         String

      Description:
         Information related to the Symmetrized Fragment Orbitals and
         the analysis

   "TF"
      Type:
         String

      Description:
         Transition Field method

"ESP-CHELPG"
   Type:
      Bool

   Default value:
      No

   GUI name:
      : ESP-CHELPG charges

   Description:
      Calculate the ESP-CHELPG atomic charges.

"ESP-RESP"
   Type:
      Bool

   Default value:
      No

   GUI name:
      : ESP-RESP charges

   Description:
      Calculate the ESP-RESP atomic charges.

"ESR"
   Type:
      Block

   Description:
   "Enabled"
      Type:
         Bool

      Default value:
         No

      Description:
         Calculate ESR (g- and/or A tensors)

   "PARANMR"
      Type:
         Bool

      Default value:
         No

      Description:
         Paramagnetic part NMR shielding.

"ETSNOCV"
   Type:
      Block

   Description:
      Perform ETS-NOCV analysis.

   "EKMin"
      Type:
         Float

      Default value:
         2.0

      Unit:
         kcal/mol

      GUI name:
         Energy threshold

      Description:
         The threshold for orbital interaction energy contributions
         corresponding to deformation density components originating
         from each NOCV-pairs

   "ENOCV"
      Type:
         Float

      Default value:
         0.05

      GUI name:
         NOCVs with ev larger than

      Description:
         The threshold for NOCV-eigenvalues

   "Enabled"
      Type:
         Bool

      Default value:
         No

      Description:
         Perform ETS-NOCV analysis.

   "RhoKMin"
      Type:
         Float

      Default value:
         0.01

      GUI name:
         Population threshold

      Description:
         The threshold for population analysis of each deformation
         density contribution in terms of individual SFOs.

   "TVanalysis"
      Type:
         Bool

      Default value:
         No

      GUI name:
         T/V analysis

      Description:
         Perform T/V decomposition

"ExactDensity"
   Type:
      Bool

   Default value:
      No

   Description:
      Use the exact density (as opposed to the fitted density) for the
      computation of the exchange-correlation potential

"Excitations"
   Type:
      Block

   Description:
      Excitation energies: UV/Vis

   "AAS"
      Type:
         Bool

      Default value:
         No

      Description:
         Use the molecular orbitals from a DFT ground state
         calculation as input to an excited state calculation with
         TDDFT-aas coupling matrices

   "ALLXASMOMENTS"
      Type:
         Bool

      Default value:
         No

      Description:
         To be used in combination with XAS. This will print out all
         the individual transition moments used within the calculation
         of the total oscillator strength

   "ALLXASQUADRUPOLE"
      Type:
         Bool

      Default value:
         No

      Description:
         To be used in combination with XAS.This will print out the
         individual oscillator strength components to the total
         oscillator strength.

   "Allowed"
      Type:
         Bool

      Default value:
         No

      Description:
         Treat only those irreducible representations for which the
         oscillator strengths will be nonzero (as opposed to all)

   "AlsoRestricted"
      Type:
         Bool

      Description:
         Include also excitation energies in which a spin-restricted
         exchange-correlation kernel is used

   "Analytical"
      Type:
         Bool

      Default value:
         No

      Description:
         The required integrals for the CD spectrum are calculated
         analytically, instead of numerically. Only used in case of CD
         spectrum

   "AsympCor"
      Type:
         Float

      Default value:
         500.0

      Description:
   "BSE"
      Type:
         Bool

      Default value:
         No

      Description:
         Solve the static Bethe-Salpeter equation based on a GW
         calculation

   "CDSpectrum"
      Type:
         Bool

      Default value:
         No

      Description:
         Compute the rotatory strengths for the calculated
         excitations, in order to simulate Circular Dichroism (CD)
         spectra

   "DTensor"
      Type:
         String

      Description:
         MCD gtensor

   "Davidson"
      Type:
         Non-standard block

      Description:
         Use the Davidson procedure

   "Descriptors"
      Type:
         Bool

      Default value:
         No

      Description:
         Compute charge-transfer descriptors and SFO analysis

   "Descriptors_CT_AT_Rab"
      Type:
         Float

      Default value:
         2.0

      Description:
         Atomic distance criterion used for the calculation of CT_AT
         descriptors

   "ESESTDM"
      Type:
         Bool

      Default value:
         No

      Description:
         Compute transition dipole moments between excited states

   "Exact"
      Type:
         Non-standard block

      Description:
         The most straightforward procedure is a direct
         diagonalization of the matrix from which the excitation
         energies and oscillator strengths are obtained. Since the
         matrix may become very large, this option is possible only
         for very small molecules

   "FullKernel"
      Type:
         Bool

      Default value:
         No

      Description:
         Use the non-ALDA kernel (with XCFUN)

   "GTensor"
      Type:
         String

      Description:
         MCD gtensor

   "HDA"
      Type:
         Bool

      Default value:
         No

      GUI name:
         Hybrid diagonal approximation

      Description:
         Activate the diagonal HF exchange approximation.

         This is only relevant if a (meta-)hybrid is used in the SCF.

   "HDA_CutOff"
      Type:
         Float

      Default value:
         10000000.0

      Unit:
         eV

      GUI name:
         HDA cutoff

      Description:
         This is cutoff based on differences in energy between
         eps_virt-eps_occ, to reduce number of diagonal HF exchange
         integrals.

   "Iterations"
      Type:
         Integer

      Default value:
         200

      Description:
         The maximum number of attempts within which the Davidson
         algorithm has to converge

   "KFWrite"
      Type:
         Integer

      Default value:
         3

      Description:
         If kfwrite is 0 then do not write contributions, transition
         densities, and restart vectors to TAPE21, since this can lead
         to a huge TAPE21, especially if many excitations are
         calculated. 3 means that contributions, transition densities,
         and restart vectors are written to TAPE21.

   "Lowest"
      Type:
         Integer List

      Default value:
         [10]

      GUI name:
         Number of excitations

      Description:
         Number of lowest excitations to compute

   "MCD"
      Type:
         String

      Description:
         TODO: Magnetic Circular Dichroism

   "NTO"
      Type:
         Bool

      Default value:
         No

      Description:
         Compute the Natural Transition Orbitals

   "N_HDA_integral"
      Type:
         Integer

      Default value:
         1000000000

      Description:
         Maximum number of HDA integrals

   "N_SFO"
      Type:
         Integer

      Default value:
         40

      Description:
         Number of SFO analyzed and printed

   "OnlySing"
      Type:
         Bool

      Description:
         Compute only singlet-singlet excitations

   "OnlyTrip"
      Type:
         Bool

      Description:
         Compute only singlet-triplet excitations

   "Orthonormality"
      Type:
         Float

      Default value:
         1e-06

      Description:
         The Davidson algorithm orthonormalizes its trial vectors.
         Increasing the default orthonormality criterion increases the
         CPU time somewhat, but is another useful check on the
         reliability of the results.

   "Residu"
      Type:
         Float

      Default value:
         1e-06

      Unit:
         Hartree

      Description:
   "RoksTddftType"
      Type:
         Block

      Description:
         Excitation energies from RoksTddft: UV/Vis

      "Calculate"
         Type:
            Multiple Choice

         Default value:
            SS

         Options:
            [SD, SS, SU, SD-SS, SS-SU, SD-SS-SU]

         GUI name:
            RoksTddft Calculate

         Description:
            Specifies the types of RoksTddft methods to target several
            target spins: spin-down (SD), same-spin (SS), and/or spin-
            up (SU).

      "SDType"
         Type:
            Multiple Choice

         Default value:
            QSD-TDA

         Options:
            [SD-TDA, SD-CIS, QSD-TDA]

         GUI name:
            RoksTddft SD-Type

         Description:
            Specifies the flavor to be used in the case of spin-down
            (SD) RoksTddft

      "SSType"
         Type:
            Multiple Choice

         Default value:
            S-TDA

         Options:
            [R-TDA, S-TDA, X-TDA]

         GUI name:
            RoksTddft SS-Type

         Description:
            Specifies the flavor to be used in the case of same-spin
            (SS) RoksTddft

      "SUType"
         Type:
            Multiple Choice

         Default value:
            SF-TDA

         Options:
            [SF-TDA]

         GUI name:
            RoksTddft SU-Type

         Description:
            Specifies the flavor to be used in the case of spin-up
            (SU) RoksTddft

   "SFOAnalysis"
      Type:
         Bool

      Default value:
         No

      Description:
         Do SFO analysis

   "SOSFreq"
      Type:
         Float

      Description:
   "STDA"
      Type:
         Bool

      Default value:
         No

      Description:
         Simplified Tamm-Dancoff approach

   "STDDFT"
      Type:
         Bool

      Default value:
         No

      Description:
         Simplified time-dependent DFT

   "ScaleCoul"
      Type:
         Float

      Default value:
         1.0

      Description:
         Scaling of Coulomb kernel with scale parameter

   "ScaleHF"
      Type:
         Float

      Default value:
         1.0

      Description:
         Scaling of the HF part of the kernel with scale parameter

   "ScaleXC"
      Type:
         Float

      Default value:
         1.0

      Description:
         Scaling of the XC-kernel (excluding a possible HF-part) with
         scale parameter

   "Select"
      Type:
         String

      Description:
         Rather than selecting the first nmcdterm transitions for
         consideration individual transitions can be selected through
         the SELECT keyword

   "SingleOrbTrans"
      Type:
         Bool

      Default value:
         No

      Description:
         keyword to use only orbital energy differences

   "TD-DFTB"
      Type:
         Bool

      Default value:
         No

      Description:
         Use the molecular orbitals from a DFT ground state
         calculation as input to an excited state calculation with TD-
         DFTB coupling matrices

   "TDA-DFTB"
      Type:
         Bool

      Default value:
         No

      Description:
         Use the molecular orbitals from a DFT ground state
         calculation as input to an excited state calculation with
         TDA-DFTB coupling matrices

   "Tolerance"
      Type:
         Float

      Default value:
         1e-06

      Unit:
         Hartree

      Description:
   "Vectors"
      Type:
         Integer

      Description:
         The maximum number of trial vectors in the Davidson algorithm
         for which space is allocated. If this number is small less
         memory will be needed, but the trial vector space is smaller
         and has to be collapsed more often, at the expense of CPU
         time. The default if usually adequate.

   "Velocity"
      Type:
         Bool

      Default value:
         No

      GUI name:
         Velocity representation

      Description:
         Calculates the dipole-velocity representation of the
         oscillator strength. If applicable, the dipole-velocity
         representation of the rotatory strength is calculated.
         Default the dipole-length representation of the oscillator
         strength and rotatory strength is calculated

   "XAS"
      Type:
         Bool

      Default value:
         No

      Description:
         Calculation of the higher order multipole moment integrals
         and the calculation of the quadrupole oscillator strengths.
         This will only print the total oscillator strength and the
         excitation energy.

"ExcitedEDA"
   Type:
      Block

   Description:
      Options for excited energy decomposition (EDA).

   "Calc"
      Type:
         Multiple Choice

      Default value:
         None

      Options:
         [None, Electrostatic, Pauli, All]

      Description:
         None: No calculation of parts of excited EDA.

         Electrostatic: calculate electrostatic part EDA excited
         state.

         Pauli: calculate Pauli repulsion part of excited state.

   "ElectrostaticFile"
      Type:
         String

      Default value:
      Description:
         Path to adf.rkf file from which ADF reads electrostatic part
         excited EDA.

   "PauliFile"
      Type:
         String

      Default value:
      Description:
         Path to adf.rkf file from which ADF reads Pauli repulsion
         part excited EDA.

"ExcitedGO"
   Type:
      Block

   Description:
      Excited state geometry optimization

   "ALLGRADIENTS"
      Type:
         Bool

      Default value:
         No

      Description:
   "CPKS"
      Type:
         Block

      Description:
         Some control parameters for the CPKS(Z-vector) part of the
         TDDFT gradients calculation

      "Eps"
         Type:
            Float

         Default value:
            0.0001

         Description:
            Convergence requirement of the CPKS

      "IterOut"
         Type:
            Integer

         Default value:
            5

         Description:
            Details of the CPKS calculation are printed every iter
            iterations

      "NoPreConiter"
         Type:
            Integer

         Default value:
            200

         Description:
            maximum number of iterations allowed for the
            unpreconditioned solver.

      "PreConiter"
         Type:
            Integer

         Default value:
            30

         Description:
            maximum number of iterations allowed for the
            preconditioned solver

   "EigenFollow"
      Type:
         Bool

      Default value:
         No

      Description:
         This key tries to follow the eigenvector in excited state
         geometry optimizations

   "Output"
      Type:
         Integer

      Default value:
         0

      Description:
         The amount of output printed. A higher value requests more
         detailed output

   "SING_GRADS"
      Type:
         Non-standard block

      Description:
   "Singlet"
      Type:
         Bool

      Default value:
         Yes

      Description:
         Singlet-singlet excitation is considered

   "State"
      Type:
         String

      Description:
         Choose the excitation for which the gradient is to be
         evaluated: 'State Irreplab nstate'. 'Irreplab' is the label
         from the TDDFT calculation. NOTE: the TDDFT module uses a
         different notation for some representation names, for
         example, A' is used instead of AA. 'nstate': this value
         indicates that the nstate-th transition of symmetry Irreplab
         is to be evaluated. Default is the first fully symmetric
         transition.

   "TRIP_GRADS"
      Type:
         Non-standard block

      Description:
   "Triplet"
      Type:
         Bool

      Default value:
         No

      Description:
         Singlet-triplet  excitation is considered

"ExcitonTransfer"
   Type:
      Block

   Description:
      Block key for exciton transfer integrals with ROSE or FOCDFT.

   "CoupleFinalStates"
      Type:
         Bool

      Default value:
         No

      Description:
         Calculate delocalized excited states in the basis of the
         localized excited states that are calculated, thus couple the
         localized excited states.

   "FilteredCouplings"
      Type:
         Block

      Description:
         Details on filter used for electronic couplings in the output

      "MaxEnergy"
         Type:
            Float

         Default value:
            10.0

         Unit:
            eV

         Description:
            Max. energy (in eV) of diabatic states

      "MaxEnergyDiff"
         Type:
            Float

         Default value:
            0.5

         Unit:
            eV

         Description:
            Max. energy difference (in eV) between diabatic states

      "MinCoupling"
         Type:
            Float

         Default value:
            0.1

         Description:
            Min. coupling value (in meV) that is printed

      "MinEnergy"
         Type:
            Float

         Default value:
            0.0

         Unit:
            eV

         Description:
            Min. energy (in eV) of diabatic states

   "FullRun"
      Type:
         Bool

      Default value:
         No

      Description:
         Include run without restriction of localization of occupied
         and/or virtual orbitals.

   "LocalCouplingsOnly"
      Type:
         Bool

      Default value:
         No

      Description:
         Only account for couplings between local diabatic states

   "Localize"
      Type:
         Multiple Choice

      Default value:
         OccupiedOnly

      Options:
         [OccupiedOnly, OccupiedAndVirtual]

      Description:
         Localize OccupiedAndVirtual means that separately purely
         localized excitations and purely charge-transfer excitations
         are calculated. Localize OccupiedOnly means that an
         excitation may have local and charge-transfer character, but
         the excitation only has contributions from occupied orbitals
         on one fragment. Only relevant in case block key FOCDFT is
         used or ROSE orbitals are used.

   "Lowest"
      Type:
         Integer List

      GUI name:
         Number of excitations

      Description:
         Number of lowest excitations to compute for each fragment.
         These are purely local excitations if the Localize
         OccupiedAndVirtual key is specified.

   "LowestCT"
      Type:
         Integer List

      GUI name:
         Number of charge-transfer excitations

      Description:
         Number of lowest charge-transfer excitations to compute for
         each fragment. Only relevant if the Localize
         OccupiedAndVirtual key is also specified.

   "Output"
      Type:
         Multiple Choice

      Default value:
         AllCouplings

      Options:
         [AllCouplings, FilteredCouplings, AllAndFilteredCouplings]

      Description:
         Amount of output

   "SecondOrder"
      Type:
         Bool

      Default value:
         No

      Description:
         Include 2nd-order correction to electronic couplings

"ExtendedPopan"
   Type:
      Bool

   Default value:
      No

   GUI name:
      : Extended population analysis

   Description:
      Calculate the Mayer bond orders and Mulliken atom-atom
      populations per l-value

"Externals"
   Type:
      Non-standard block

   Description:
      Legacy support of the older DRF code.

"FDE"
   Type:
      Block

   Description:
      Frozen Density Embedding options

   "AMOLFDE"
      Type:
         Bool

      Default value:
         No

      Description:
         placeholder

   "CAPDENSCONV"
      Type:
         Float

      Default value:
         0.0001

      Description:
         placeholder

   "CAPPOTBASIS"
      Type:
         Bool

      Default value:
         No

      Description:
         placeholder

   "CAPPOTLINESEARCH"
      Type:
         Bool

      Default value:
         No

      Description:
         placeholder

   "CAPRADIUS"
      Type:
         Float

      Default value:
         3.0

      Description:
         placeholder

   "CJCORR"
      Type:
         Float

      Default value:
         0.1

      Description:
         Option to switch on a long-distance correction

   "Coulomb"
      Type:
         Bool

      Description:
         Neglecting completely vt[rhoA,rhoB] (vt[rhoA,rhoB] equals
         zero) together with the exchange-correlation component of the
         embedding potential introduced by Wesolowski and Warshel.

   "Dipole"
      Type:
         Bool

      Default value:
         No

      Description:
         placeholder

   "E00"
      Type:
         Bool

      Description:
         placeholder

   "EIGENSHIFT"
      Type:
         Float

      Default value:
         0.01

      Description:
         placeholder

   "ENERGY"
      Type:
         Bool

      Default value:
         No

      Description:
         placeholder

   "EXTERNALORTHO"
      Type:
         Float

      Default value:
         1000000.0

      Description:
         Used to specify the use of external orthogonality (EO) in the
         FDE block

   "EXTPRINTENERGY"
      Type:
         Bool

      Default value:
         No

      Description:
         placeholder

   "FULLGRID"
      Type:
         Bool

      Default value:
         No

      Description:
         placeholder

   "FreezeAndThawCycles"
      Type:
         Integer

      Description:
         This keyword duplicates RelaxCycles

   "FreezeAndThawDensType"
      Type:
         String

      Description:
         placeholder

   "FreezeAndThawPostSCF"
      Type:
         Bool

      Description:
         This keyword duplicates RelaxPostSCF

   "GGA97"
      Type:
         Bool

      Description:
         placeholder

   "GGAPotCFD"
      Type:
         String

      Description:
         The correlation approximant is used in the construction of
         the embedding potential. The same correlation approximants as
         in the XC key are available.

   "GGAPotXFD"
      Type:
         String

      Description:
         The exchange approximant is used in the construction of the
         embedding potential. The same exchange approximants as in the
         XC key are available.

   "LAMBDATIKH"
      Type:
         Float

      Default value:
         0.1

      Description:
         placeholder

   "LBDAMP"
      Type:
         Float

      Default value:
         0.25

      Description:
         placeholder

   "LBMAXSTEP"
      Type:
         Float

      Default value:
         0.05

      Description:
         placeholder

   "LLP91"
      Type:
         Bool

      Description:
         placeholder

   "LLP91S"
      Type:
         Bool

      Description:
         placeholder

   "NDSD"
      Type:
         String

      Description:
         placeholder

   "NOCAPSEPCONV"
      Type:
         Bool

      Description:
         placeholder

   "NOFDKERN"
      Type:
         Bool

      Default value:
         Yes

      Description:
         placeholder

   "OL91A"
      Type:
         Bool

      Description:
         placeholder

   "OL91B"
      Type:
         Bool

      Description:
         placeholder

   "ONEGRID"
      Type:
         Bool

      Default value:
         No

      Description:
         placeholder

   "P92"
      Type:
         Bool

      Description:
         placeholder

   "PBE2"
      Type:
         Bool

      Description:
         placeholder

   "PBE3"
      Type:
         Bool

      Description:
         placeholder

   "PBE4"
      Type:
         Bool

      Description:
         placeholder

   "PDFT"
      Type:
         Bool

      Default value:
         No

      Description:
         placeholder

   "PRINTEACHCYCLE"
      Type:
         Bool

      Default value:
         No

      Description:
         placeholder

   "PRINTRHO2"
      Type:
         Bool

      Default value:
         No

      Description:
         placeholder

   "PW86K"
      Type:
         Bool

      Description:
         placeholder

   "PW91K"
      Type:
         Bool

      Description:
         placeholder

   "PW91Kscaled"
      Type:
         Bool

      Description:
         placeholder

   "RHO1FITTED"
      Type:
         Bool

      Default value:
         No

      Description:
         placeholder

   "RelaxCycles"
      Type:
         Integer

      Default value:
         5

      Description:
         This gives the maximum number of freeze-and-thaw cycles that
         are performed for this fragment. If the maximum number given
         in the FDE block is smaller, or if convergence is reached
         earlier, then fewer cycles are performed.

   "RelaxDensType"
      Type:
         String

      Default value:
      Description:
         placeholder

   "RelaxPostSCF"
      Type:
         Bool

      Default value:
         No

      Description:
         this option is included, several post-SCF properties will be
         calculated after each freeze-and-thaw cycle. These are
         otherwise only calculated in the last cycle.

   "SCFCONVTHRESH"
      Type:
         Float

      Default value:
         0.001

      Description:
         placeholder

   "SDFTEnergy"
      Type:
         Bool

      Default value:
         No

      Description:
         placeholder

   "SHORTPRINTENERGY"
      Type:
         Bool

      Default value:
         No

      Description:
         placeholder

   "SMALLEIGTHRESH"
      Type:
         Float

      Default value:
         0.0001

      Description:
         placeholder

   "TF9W"
      Type:
         Bool

      Description:
         placeholder

   "THAKKAR92"
      Type:
         Bool

      Description:
         placeholder

   "THOMASFERMI"
      Type:
         Bool

      Description:
         Local-density-approximation form of vt[rhoA,rhoB] derived
         from Thomas-Fermi expression for Ts[rho]

   "TW02"
      Type:
         Bool

      Description:
         placeholder

   "WEIZ"
      Type:
         Bool

      Description:
         placeholder

   "XCFun"
      Type:
         Bool

      Default value:
         No

      Description:
         Use XCFUN for nonadditive functionals

   "XCNAdd"
      Type:
         String

      Description:
"FDEFragments"
   Type:
      Non-standard block

   Description:
      Definitions of the FDE fragment types.

"FitExcit"
   Type:
      Bool

   Default value:
      No

   Description:
"FOCDFT"
   Type:
      Block

   Description:
      Localize orbitals on fragments and constrain charge and spin
      polarization on fragments.

   "Charge"
      Type:
         Float List

      Description:
         Constrain charge on fragments. Number of charges should be
         the same as number of fragments, and sum should add up to
         total charge.

   "ElectronTransfer"
      Type:
         Block

      Description:
      "Charge"
         Type:
            Float List

         Description:
            Constrain charge on fragments for the second calculation.
            Number of charges should be the same as number of
            fragments, and sum should add up to total charge.

      "OffDiagonalHF"
         Type:
            Bool

         Default value:
            No

         GUI name:
            Off diagonal HF

         Description:
            Off diagonal HF matrix elements.

      "OffDiagonalHFValue"
         Type:
            Float

         Default value:
            1.0

         GUI name:
            Off diagonal HF value

         Description:
            Amount of HF in case off diagonal HF matrix elements.

      "SpinPolarization"
         Type:
            Float List

         Description:
            Constrain spin polarization on fragments for the second
            calculation. Number of spin polarization values should be
            the same as number of fragments, and sum should add up to
            total spin polarization. Calculation should be spin
            unrestricted.

   "SpinPolarization"
      Type:
         Float List

      Description:
         Constrain spin polarization on fragments. Number of spin
         polarization values should be the same as number of
         fragments, and sum should add up to total spin polarization.
         Calculation should be spin unrestricted.

"ForceALDA"
   Type:
      Bool

   Default value:
      No

   Description:
      In spin-flip TDDFT, the XC kernel can be calculated directly
      from the XC potential. To use the LDA potential for the XC
      kernel, which roughly corresponds to the ALDA in ordinary TDDFT,
      one must specify the key

"Fragments"
   Type:
      Non-standard block

   Description:
      Definitions of the fragment type/files: {FragmentName
      FragmentFile}. In the block header one can specify the directory
      where the fragment files are located

"FragMetaGGAToten"
   Type:
      Bool

   Default value:
      No

   GUI name:
      XC energy difference (for meta XCs): Use molecular grid

   Description:
      By setting this to true the difference in the metahybrid or
      metagga exchange-correlation energies between the molecule and
      its fragments will be calculated using the molecular integration
      grid, which is more accurate than the default, but is much more
      time consuming.

"FragOccupations"
   Type:
      Non-standard block

   Description:
      Simulation of unrestricted fragments with the key
      FRAGOCCUPATIONS. Fragments need to be calculated spin-
      restricted. One can specify occupation numbers as if these
      fragments are calculated spin-unrestricted. The sum of spin-
      alpha and spin-beta occupations must, for each fragment orbital
      in each irrep separately, be equal to the total spin-restricted
      occupation of that orbital in the fragment.

"FullFock"
   Type:
      Bool

   Default value:
      No

   GUI name:
      Full Fock matrix: Always

   Description:
      Calculate the full Fock matrix each SCF iteration (instead of
      the difference with the previous cycle).

"FullTotEn"
   Type:
      Bool

   Default value:
      No

   Description:
"Fuzzy_BO"
   Type:
      Bool

   Default value:
      No

   Description:
"GPU"
   Type:
      Block

   Description:
      Set GPU options

   "Enabled"
      Type:
         Bool

      Default value:
         No

      GUI name:
         Use GPU

      Description:
         Use a CUDA-compatible GPU.

   "UseDevices"
      Type:
         Integer List

      GUI name:
         Only use devices

      Description:
         Use only specified devices for this calculation. Multiple
         devices will be distributed evenly among MPI ranks.

"GW"
   Type:
      Block

   Description:
      Perform a GW calculation. G0W0 is the default for
      GW%SelfConsistency.

   "AdaptiveMixing"
      Type:
         Float List

      Description:
         Requests to use adaptive mixing instead of DIIS and sets the
         staring mixing parameter for mixing of Green's function in
         case of self-consistency.

         Adapative mixing is recommended in case a qsGW calculation
         does not converge with DIIS.

         It is ignored in non-selfconsistent calculation and
         overwritten by DIIS when DIIS is also present.

   "AnalyticalIntegration"
      Type:
         Block

      Description:
         Use analytical integration to calculate the self-energy. Very
         slow, unless the system is very small but useful to check the
         accuracy of the frequency integration

      "Enabled"
         Type:
            Bool

         Default value:
            No

         GUI name:
            analytical integration

         Description:
            Enable the calculation of the GW quasi-particle energies
            via analytical integration.

      "SpectralFunctionResolution"
         Type:
            Integer

         Default value:
            800

         Description:
            Number of points at which spectral function is evaluated.

      "TDA"
         Type:
            Bool

         Default value:
            No

         Description:
            Solve the linear response equations in the Tamm-Dancoff
            approximation.

      "eta"
         Type:
            Float

         Default value:
            0.001

         Description:
            Artificial (positive) broadening parameter for evaluation
            of self-energy in analytical integration.

            Ideally should be as small as possible but this might lead
            to convergence issues in partially self-consistent
            approaches.

            In this case, a value of up to 0.1 is possible.

   "Converge"
      Type:
         Block

      Description:
         Sets convergence criteria for the GW calculation in self-
         consistent case

      "Density"
         Type:
            Float List

         Default value:
            [1e-08, 1e-05]

         Description:
            First Criterion for self-consistency procedure to
            terminate.

            Criterion is the trace of the density matrix. Ignored in
            non-selfconsistent Calculation and in eigenvalue self-
            consistent GW

            It is possible to run a qsGW calculation with an inner SCF
            loop which updates the static part of the elf-energy only.
            This can be useful to accelerate the convergence in case
            linear mixing is used. It is not recommended to use linear
            mixing, so it is also not recommended to use that inner
            loop as well. The second number in this list specifies the
            convergence criterion for the inner SCF loop.

      "HOMO"
         Type:
            Float

         Default value:
            0.003

         Unit:
            eV

         GUI name:
            HOMO energy convergence

         Description:
            Criterion for self-consistency procedure to terminate.

            The self-consistent GW calculation terminates, when the
            difference between the HOMO QP energies between 2
            consecutive iterations is below this number.

            The LUMO energy converged faster than the HOMO energy so
            when the HOMO energy is converged according to this
            criterion, the LUMO energy will be converged as well.

            In non-selfconsistent Calculation, this criterion is
            ignored.

   "DIIS"
      Type:
         Integer

      Default value:
         10

      Description:
         Requests to use DIIS. This is the Default. Number of
         expansion coefficients can be requested as well. Ignored in
         non-selfconsistent calculation

   "Enabled"
      Type:
         Bool

      Default value:
         No

      GUI name:
         Calculate GW quasi-particle energies

      Description:
         Enable the calculation of the GW quasi-particle energies.

   "LinearMixing"
      Type:
         Float List

      Description:
         Requests to use linear mixing instead of DIIS and sets the
         mixing parameter for linear mixing of Green's function in
         case of self-consistency.

         It is ignored in non-selfconsistent calculation and
         overwritten by DIIS when DIIS is also present.

   "LinearizeQPequations"
      Type:
         Bool

      Default value:
         No

      Description:
         Instead of solving the non-linear QP equations in a G0W0 (or
         evGW calculation) by bisection exacly, linearize them by
         first-order Taylor expansion.

         This is not recommended since it does not save computational
         time when used together with analytical continuation (as
         implemented in AMS). It might however be useful for
         benchmarking or for validating results.

         If the results os the linearization differ by a lot (for
         instance, more than 0.1 eV in frontier QP energies) from the
         non-linearized results, this might indicate that the GW
         calculation is not reliable.

   "Polarizability"
      Type:
         Multiple Choice

      Default value:
         RPA

      Options:
         [RPA, BSE, G4W1, G4V1, TDHF]

      Description:
         Sets the expression for the Polarizability used in the GW
         calculation.

         RPA is the Default and amounts to a standard GW calculation.

         BSE denotes screening in the Bethe-Salpeter-equation
         formalism.

   "PrintAllSolutions"
      Type:
         Bool

      Default value:
         No

      Description:
         Print out all solutions for all requested states. Detects
         multiple solutions of the QP equations.

   "PrintSpectralFunction"
      Type:
         Bool

      Default value:
         No

      Description:
         Plot the self-energy as a function of frequency.
         Automatically done in case of analytical continuation.
         However, this is expensive in the analytical integration
         formalism.

   "QPHamiltonian"
      Type:
         Multiple Choice

      Default value:
         KSF2

      Options:
         [KSF1, KSF2, SRG, LQSGW]

      Description:
         The quasi-particle Hamiltonian can be constructed in
         different ways.

         KSF1 refers to the original construction by Kotani, Van
         Schilfgaarde anf Faleev (KSF) which is also implemented in
         TURBOMOLE.

         KSF2 refers to an alternative construction by KSF.

         KSF1 is not recommended since it is numerically less stable
         than KSF2 in case analytical continuation is used (the
         default).

         In case the analytical integration algorithm is used, only
         KSF1 is implemented. Therefore, make sure that KSF1 is
         specified. The results are typically very similar.

         The QP energies at which the matrix elements are evaluated
         can be tweaked further, see the two subsequent keys: However,
         KSF2 is recommended since it typically leads to QP energies
         with the best agreement with experiment.

         Ignored when not a quasi-particle self-consistent GW
         calculation is performed

   "ScissorShift"
      Type:
         Bool

      Default value:
         No

      Description:
         Only calculate the HOMO and LUMO QP energies and shift the
         remaining QP energies by the same amount.

         This is a rather crude approximation and not recommended.

         It might again be useful for benchmarking purposes.

   "SelfConsistency"
      Type:
         Multiple Choice

      Default value:
         G0W0

      Options:
         [G0W0, EVGW0, EVGW, QSGW0, QSGW]

      Description:
         Sets the level of self-consistency in a GW calculation.

         G0W0 calculates a one-shot, perturbative correction to the KS
         eigenvalues.

         In evGW and evGW0, the quasi-particle energies are updated
         until self-consistency is reached.

         evGW0 requests that the Green's function is evaluated self-
         consistently but not the screened interaction.

         In qsGW, the density is updated as well, however, the self-
         energy is mapped to a static effective potential and the
         Dyson equation is solved by diagonalization instead of
         inversion. The results of a qsGW are independent of the
         choice of the underlying exchange-correlation functional and
         are usually the most accurate ones.

         The same is done in qsGW0, but the screened interaction is
         not updated.

   "SelfEnergy"
      Type:
         Multiple Choice

      Default value:
         GW

      Options:
         [HF, GW, G3W2, SOSEX, GWGamma, G3W2dynamic, GWGammaInf,
         GWGammaInfDyn]

      Description:
         Controls the form of the self-energy.

         GW is the default and corresponds to the standard GW
         calculation.

         G3W2 is a GW calculation plus a perturbative second-order
         statically screened exchange correction (second order
         expansion in the self-energy). Note, that there the self-
         energy is always static.

   "nIterations"
      Type:
         Integer List

      Default value:
         [10]

      GUI name:
         Number of iterations

      Description:
         The maximum number of iterations within the (partially or
         fully) self-consistent GW calculation has to converge.

         Ignored when Formalism is set to G0W0

   "nLowest"
      Type:
         Integer

      Default value:
         1

      GUI name:
         N Lowest

      Description:
         Number of lowest occupied QP levels to be evaluated,
         overwrites nStates'

   "nStates"
      Type:
         Integer

      Default value:
         5

      GUI name:
         N states

      Description:
         Number of Quasiparticle States to be printed to output.

         The default is 5 states which in this case means that min(5,
         Number of particle states) occupied and min(5, Number of hole
         states) hole states are printed. The whole list of states can
         be printed by setting this parameter to -1'

"GZip"
   Type:
      String

   Description:
      GZip the corresponding tape (possibly working only for TAPE21)

"HartreeFock"
   Type:
      Bool

   Default value:
      No

   Description:
      Compute hybrid meta-GGA energy functionals (if METAGGA key is
      True)

"HFAtomsPerPass"
   Type:
      Integer

   Description:
      Memory usage option for old HF scheme

"HFMaxMemory"
   Type:
      Integer

   Description:
      Memory usage option for old HF scheme

"hydrogenbonds"
   Type:
      Bool

   Default value:
      No

   Description:
      Option for SFO population analysis to print small numbers.

"IgnoreOverlap"
   Type:
      Bool

   Default value:
      No

   Description:
      Expert option. Ignore that atoms are close.

"ImportEmbPot"
   Type:
      String

   Description:
      File containing an external embedding potential (FDE
      calculations only)

"ImportGrid"
   Type:
      String

   Description:
      FDE option for importing numerical integration grid.

"Integration"
   Type:
      Block

   Description:
      Options for the Voronoi numerical integration scheme

   "ACCINT"
      Type:
         Float List

      Description:
         The main precision parameter Its value defines the number of
         significant digits by which an internal set of standard
         integrals must be evaluated. The number and distribution of
         integration points is tuned accordingly. For normal
         applications this should yield a nearly optimal (given the
         underlying method) generation of points and weights. The
         default depends on the run type.

   "ACCOUT"
      Type:
         Float

      Description:
         The region of space further away from the atoms, outside the
         polyhedrons, has its own precision parameter. By default
         accout=accint.

   "ACCPYR"
      Type:
         Float

      Description:
         Similarly this subkey sets the test level for the parts of
         the pyramids outside the atomic sphere. Default:
         accpyr=accint.

   "ACCPYU"
      Type:
         Float

      Description:
         The truncated pyramids are mathematically transformed into
         unit cubes. A product Gauss integration formula is applied to
         the cubes, with three (test precision) parameters for the
         three dimensions. Accpyw controls the direction that is
         essentially the radial integration from the surface of the
         atomic sphere to the base of the pyramid. The other two
         control the orthogonal directions (angular). By default all
         three equal accpyr.

   "ACCPYV"
      Type:
         Float

      Description:
         The truncated pyramids are mathematically transformed into
         unit cubes. A product Gauss integration formula is applied to
         the cubes, with three (test precision) parameters for the
         three dimensions. Accpyw controls the direction that is
         essentially the radial integration from the surface of the
         atomic sphere to the base of the pyramid. The other two
         control the orthogonal directions (angular). By default all
         three equal accpyr.

   "ACCPYW"
      Type:
         Float

      Description:
         The truncated pyramids are mathematically transformed into
         unit cubes. A product Gauss integration formula is applied to
         the cubes, with three (test precision) parameters for the
         three dimensions. Accpyw controls the direction that is
         essentially the radial integration from the surface of the
         atomic sphere to the base of the pyramid. The other two
         control the orthogonal directions (angular). By default all
         three equal accpyr.

   "ACCSPH"
      Type:
         Float

      Description:
         The polyhedron method of generating integration points
         partitions space in atomic polyhedrons, partitioned in
         pyramids with their tops at the atom in the center of the
         polyhedron. A core like atomic sphere is constructed around
         the atom; this truncates the tops of the pyramids. accsph
         specifies the test precision for the generation of points
         within the spheres. By default accsph=accint.

   "DISHUL"
      Type:
         Float

      Unit:
         Bohr

      Description:
         Sets the distance between the outermost nuclei of the
         molecule and the boundary planes that define the boundary
         between the polyhedrons and the outer region. By default
         dishul=2.3*R, where R is the radius of the largest atomic
         sphere in the molecule.

   "FRANGE"
      Type:
         Float

      Unit:
         Bohr

      Description:
         The outward range of the outer region: integration is not
         performed to infinity but to a distance frange from the
         outermost atoms, where all functions can be assumed to be
         essentially zero. By default frange is derived both from
         accint, the general precision parameter, and from the present
         chemical elements: heavier atoms have longer-range functions
         than hydrogen say. The precise relations can be found in the
         implementation.

   "LINROT"
      Type:
         Integer

      Description:
         This parameter is significant only for symmetries with an
         axis of infinite rotational symmetry: C and D It is the
         highest rotational quantum number around this axis that
         occurs among the integrands. This depends on the employed
         basis functions and fit functions. By default the program
         finds this out for itself.

   "LINTEG"
      Type:
         Integer List

      Description:
         The maximum angular momentum quantum number of integrands
         centered on an atom of that type (one value for each atom
         type). This depends on the basis functions and on the fit
         functions. By default the program checks the function sets
         and sets the linteg values accordingly. This subkey is
         applied for the generation of grid points in the atomic
         spheres.

   "NOUTER"
      Type:
         Integer

      Description:
         This outer region is treated by a product formula: outwards
         times parallel. The latter involves two dimensions: the
         surface of the molecule say. The outward integration is
         performed with Gauss-Legendre quadrature, in a few separate
         steps. The lengths of the steps are not equal, they increase
         by constant factors. The total length is fixed. The number of
         steps is controlled with this subkey; default: 2.

   "OUTPAR"
      Type:
         Float

      Description:
         Similarly the integration in the directions parallel to the
         surface of the atomic system is controlled by a parameter.
         See the implementation for details.

   "OUTRAD"
      Type:
         Float

      Description:
         The parameter that defines the number of Gauss-Legendre
         integration points for each outward step. The precise
         relation between the actual number of points and this subkey,
         and the default relation between outrad and accout can be
         found in the implementation.

   "QPNEAR"
      Type:
         Float

      Unit:
         Angstrom

      Description:
         If you specify point charges in the input file, there are two
         considerations implied for the numerical integration grid.
         First, since the point charges create a Coulomb singularity.
         The integrands (of for instance the basis function products
         against the Coulomb potential) can only be evaluated with
         high precision if the grid around the point charges has
         spherical symmetry and uses local spherical coordinates,
         exactly as is done for the atomic nuclei. Second, the point
         charges do not carry fit or basis functions, hence they play
         only a role in the more diffuse tails of the actual functions
         involved in integrals. Therefore, a relative low precision of
         the integral part close to the point charge may have little
         effect on the total integration accuracy. Since additional
         ‘spherical centers’ with their own surrounding grids increase
         the total number of points significantly, typically a few
         thousands per Coulomb center, this may result in high
         computational effort. Therefore, the program generates
         spherical grids only about those point charges that are close
         to the other atoms. The criterion, input with the qpnear
         subkey, is the closest distance between the point charge at
         hand and any real atom. Default 4.0 Angstrom.

   "RSPHER"
      Type:
         Float List

      Unit:
         Bohr

      Description:
         Gives the radii of the atomic spheres, one value for each
         atom type. By default, the radii are derived from the
         chemical element (heavier atoms get larger spheres) and from
         the environment: the sphere must not be too large for the
         atomic cell (polyhedron).

"IQA"
   Type:
      Block

   Description:
      Total energy decomposition based on the interacting quantum
      atoms (IQA) approach and using QTAIM real-space partition.

   "AtomsToDo"
      Type:
         Integer List

      GUI name:
         Include atoms

      Description:
         Define a subset of atoms for which the IQA atom-atom
         interactions are calculated (no intra-atomic terms).

         If left empty, all atoms will be included (full IQA).

   "Enabled"
      Type:
         Bool

      Default value:
         No

      GUI name:
         Calculate: Interacting Quantum Atoms (IQA)

      Description:
         Calculate the total energy decomposition using the
         interacting quantum atoms (IQA) approach and the QTAIM real-
         space partitioning.

   "Print"
      Type:
         Multiple Choice

      Default value:
         normal

      Options:
         [normal, verbose]

      Description:
         Minimal output (default) or verbose mode (detailed energy
         decomposition)

"IrrepOccupations"
   Type:
      Non-standard block

   Description:
      Explicit occupation numbers per irrep

"IsotopicShift"
   Type:
      String

   Description:
      Untested

"LinearScaling"
   Type:
      Block

   Description:
   "Cutoff_Coulomb"
      Type:
         Float

      Description:
         determines the radii for the fit functions in the evaluation
         of the (short-range part of) the Coulomb potential.

   "Cutoff_Fit"
      Type:
         Float

      Description:
         determines how many atom pairs are taken into account in the
         calculation of the fit integrals and the density fit
         procedure. If the value is too low, charge will not be
         conserved and the density fitting procedure will become
         unreliable. This parameter is relevant for the timings of the
         FITINT and RHOFIH routines of ADF.

   "Cutoff_Multipoles"
      Type:
         Float

      Description:
         determines the cut-offs in the multipole (long-range) part of
         the Coulomb potential

   "HF_Fit"
      Type:
         Float

      Description:
         Parameter for HF exchange

   "Overlap_Int"
      Type:
         Float

      Description:
         determines the overlap criterion for pairs of AOs in the
         calculation of the Fock-matrix in a block of points.
         Indirectly it determines what the cut-off radii for AO's
         should be. The value of ovint has a strong influence on the
         timing for the evaluation of the Fock matrix, which is very
         important for the overall timings

   "ProgConv"
      Type:
         Float

      Description:
         determines how the overall accuracy changes during the SCF
         procedure

"LocOrb"
   Type:
      Non-standard block

   Description:
      The computation of localized orbitals is controlled with this
      block-type key

"MBPT"
   Type:
      Block

   Description:
      Technical aspects of the MP2 algorithm.

   "Dependency"
      Type:
         Bool

      Default value:
         Yes

      Description:
         If true, to improve numerical stability, almost linearly-
         dependent combination of basis functions are removed from the
         Green's function that are used in the MBPT equations.
         Disabling this key is strongly discouraged. Its value can
         however be changed. The key to adjust this value is
         RiHartreeFock%DependencyThreshold

   "ExcludeCore"
      Type:
         Bool

      Description:
         If active, excludes core states from the calculation of the
         optimal imaginary time and frequency grids.

         The core states are still included in all parts of the
         calculations.

         In case a frozen care calculation is performed, this key is
         ignored.

         For MP2 and double hybrid calculation, it defaults to false.
         For RPA and GW calculations, it defaults to true.

   "FitSetQuality"
      Type:
         Multiple Choice

      Default value:
         Auto

      Options:
         [Auto, VeryBasic, Basic, Normal, Good, VeryGood]

      Description:
         Specifies the fit set to be used in the MBPT calculation.

         'Normal' quality is generally sufficient for basis sets up to
         and including TZ2P.

         For larger basis sets (or for benchmarking purposes) a
         'VeryGood' fit set is recommended. Note that the
         FitSetQuality heavily influences the computational cost of
         the calculation.

         If not specified or 'Auto', the RIHartreeFock%FitSetQuality
         is used.

   "Formalism"
      Type:
         Multiple Choice

      Default value:
         Auto

      Options:
         [Auto, RI, LT, All]

      Description:
         Specifies the formalism for the calculation of the MP2
         correlation energy.

         'LT' means Laplace Transformed MP2 (also referred to as AO-
         PARI-MP2),

         'RI' means that a conventional RI-MP2 is carried out.

         If 'Auto', LT will be used in case of DOD double hybrids and
         SOS MP2, and RI will be used in all other cases.

         'All' means that both RI and LT formalisms are used in the
         calculation.

         For a RPA or GW calculation, the formalism is always LT,
         irrespective of the formalism specified with this key.

   "FrequencyGridType"
      Type:
         Multiple Choice

      Default value:
         LeastSquare

      Options:
         [LeastSquare, GaussLegendre]

      Description:
         Use Gauss-legendre grid for imaginary frequency integration
         in RPA and GW calculations instead of the usually used Least-
         Square optimized ones. Has the advantage that it can be
         systematically converged and an arbitrary number of grid
         points can be used. Typically more grid points will be needed
         to get the same level of accuracy. However, the convergence
         of the results with the size of the grid can be more
         systematic. These grids can only be used when Formalism is
         set to RI.

   "IntegrationQuality"
      Type:
         Multiple Choice

      Options:
         [VeryBasic, Basic, Normal, Good, VeryGood]

      Description:
         Specifies the integration quality to be used in the MBPT
         calculation. If not specified, the
         RIHartreeFock%IntegrationQuality is used.

   "SigmaFunctionalParametrization"
      Type:
         Multiple Choice

      Default value:
         S1re

      Options:
         [W1, W2, S1, S2, S1re]

      Description:
         Only relevant if a sigma-functional calculation is performed.
         Possible choices for the parametrization of the sigma-
         functional. Not all options are supported for all
         functionals.

   "ThresholdQuality"
      Type:
         Multiple Choice

      Options:
         [VeryBasic, Basic, Normal, Good, VeryGood, Excellent]

      Description:
         Controls the distances between atomic centers for which the
         product of two basis functions is not fitted any more.
         Especially for spatially extended, large systems, 'VERYBASIC'
         and 'BASIC' can lead to large computational savings, but the
         fit is also more approximate. If not specified, the
         RIHartreeFock%ThresholdQuality is used.

   "UseScaledZORA"
      Type:
         Bool

      Default value:
         Yes

      Description:
         If true, use the scaled ZORA orbital energies instead of the
         ZORA orbital energies in the MBPT equations.

   "frozencore"
      Type:
         Bool

      Default value:
         No

      Description:
         Freeze core states in correlation part of MBPT calculation

   "nCore"
      Type:
         Integer

      Default value:
         0

      GUI name:
         Number of core levels

      Description:
         Number of core states which will be excluded from the
         correlated calculation.

         Will be ignored if frozencore is false.

         In case nothing is specified, the number of core levels will
         be determined automatically.

         Needs to be smaller than the number of occupied states.

   "nFreqIntegration"
      Type:
         Integer

      Default value:
         32

      GUI name:
         N freq points for G3W2 integration

      Description:
         Number of imaginary frequency points for G3W2 integration

   "nFrequency"
      Type:
         Integer

      Default value:
         12

      GUI name:
         N freq points

      Description:
         Number of imaginary frequency points. This key is only
         relevant for RPA and GW and will be ignored if used in an AO-
         PARI-MP2 calculation. 12 Points is the default for a RPA
         calculation. It is technically possible to use a different
         number of imaginary frequency points than for imaginary time.
         The maximum number of points which can be requested for
         imaginary frequency integration is 42. Important note: The
         computation time and memory requirements roughly scale
         linearly with the number of imaginary frequency points.
         However, memory can be an issue for RPA and GW when the
         number of imaginary frequency points is high. In case a job
         crashes, it is advised to increase the number of nodes since
         the necessary memory distributes over all nodes.

   "nLambda"
      Type:
         Integer

      Default value:
         1

      GUI name:
         Number of lambda points

      Description:
         Size of coupling constant integration grid for SOSEX variants
         in RPA. Default is 4 points

   "nTime"
      Type:
         Integer

      GUI name:
         Number of time points

      Description:
         Number of imaginary time points (only relevant in case the
         Laplace Transformed (LT) formalism is used).

         In the many-body-perturbation theory module in ADF, the
         polarizability (or Kohn-Sham density response function) is
         evaluated in imaginary time to exploit sparsity in the AO
         basis. For MP2, this is often referred to as a Laplace
         transform. For MP2, 9 points are the default. This is a safe
         choice, guaranteeing accuracies higher than 1 Kj/mol for most
         systems (For many simple organic systems, 6 points are
         sufficient for good accuracy).

         Only for systems with a very small HOMO-LUMO gap or low-lying
         core states (heavy elements starting from the 4th row of the
         periodic table) more points might be necessary.

         In principle, the same considerations apply for RPA and GW as
         well, however, the accuracy requirements are somewhat higher
         and 12 point are the default for RPA. In a GW calculation,
         the number of points is adjusted according to the numerical
         quality. Using less than 9 points is strongly discouraged
         except for the simplest molecules.

         In ADF2019, it can happen that the algorithm determining the
         imaginary time grid does not converge. In this case, the
         usual reason is that the number of points is too small and
         more points need to be specified. Starting from AMS2020, this
         does not happen any more. In case the imaginary time grid
         does not converge, the number of points is automatically
         adjusted until it does.

         The computation time of AO-PARI-MP2, RPA, and GW scales
         linearly with the number of imaginary time points.

   "useGreenXgrids"
      Type:
         Bool

      Default value:
         No

      Description:
         Use GreenX library to generate grid points. This is
         recommended for larger number of grid points (> 20). Up to 34
         points can be requested.

"MetaGGA"
   Type:
      Bool

   Default value:
      No

   Description:
"ModifyExcitation"
   Type:
      Block

   Description:
   "DipStrength"
      Type:
         Float

      Description:
   "GRIMMEAEX"
      Type:
         Float

      Description:
   "GRIMMEALPHA"
      Type:
         Float

      Description:
   "GRIMMEBETA"
      Type:
         Float

      Description:
   "GRIMMEDEMAX"
      Type:
         Float

      Description:
   "GRIMMEPERTC"
      Type:
         Bool

      Description:
   "GRIMMETPMIN"
      Type:
         Float

      Description:
   "HighExcit"
      Type:
         Float

      Description:
   "NOGRIMMEPERTC"
      Type:
         Bool

      Description:
   "NOverlap"
      Type:
         Integer

      Default value:
         0

      Description:
   "OscStrength"
      Type:
         Float

      Description:
         Use only pairs of an occupied and virtual orbital as guess
         vectors, for which the oscillator strength of the single-
         orbital transition is larger than this value

   "SetLargeEnergy"
      Type:
         Float

      Default value:
         1000000.0

      Unit:
         Hartree

      Description:
         The orbital energies of the uninteresting occupied orbitals
         are changed to -epsbig Hartree, and the orbital energies of
         the uninteresting virtual orbitals are changed to epsbig
         Hartree

   "SetOccEnergy"
      Type:
         Float

      Description:
         All occupied orbitals that have to be used will change their
         orbital energy to this value. In practice only useful if one
         has selected one occupied orbital energy, and one want to
         change this to another value. Default: the orbital energies
         of the occupied orbitals that are used are not changed.

   "UseOccRange"
      Type:
         Float List

      Unit:
         Hartree

      Description:
         Use only occupied orbitals which have orbital energies
         between the two numbers.

   "UseOccVirtNumbers"
      Type:
         Integer List

      Description:
         Use only pairs of an occupied and virtual orbital as guess
         vectors, for which in the sorted list of the orbital energy
         differences, the number of the single-orbital transition is
         between the two numbers.

   "UseOccVirtRange"
      Type:
         Float List

      Unit:
         Hartree

      Description:
         Use only pairs of an occupied and virtual orbital, for which
         the orbital energy difference is between the two numbers

   "UseOccupied"
      Type:
         Non-standard block

      Description:
         Use only the occupied orbitals which are specified

   "UseScaledZORA"
      Type:
         Bool

      Default value:
         No

      Description:
         Use everywhere the scaled ZORA orbital energies instead of
         the ZORA orbital energies in the TDDFT equations. This can
         improve deep core excitation energies. Only valid if ZORA is
         used.

   "UseVirtRange"
      Type:
         Float List

      Unit:
         Hartree

      Description:
         Use only virtual orbitals which have orbital energies between
         the two numbers

   "UseVirtual"
      Type:
         Non-standard block

      Description:
         Use only the virtual orbitals which are specified

"ModifyStartPotential"
   Type:
      Non-standard block

   Description:
      Modify the starting spin-dependent potential for unrestricted
      calculations.

"NoBeckeGrid"
   Type:
      Bool

   Default value:
      No

   Description:
      If true ADF will use the Voronoi numerical integration grid.

"NoFDEPot"
   Type:
      Bool

   Default value:
      No

   Description:
      Expert FDE option.

"NoPrint"
   Type:
      String

   Recurring:
      True

   Description:
      The amount of printed output is regulated with the keys Print,
      NoPrint, EPrint and Debug.

"NoSharedArrays"
   Type:
      Bool

   Default value:
      No

   Description:
      To disable the use of shared memory.

"NoSymFit"
   Type:
      Bool

   Default value:
      No

   Description:
      Do not use only an A1 symmetric fit.

"NoTotEn"
   Type:
      Bool

   Default value:
      No

   Description:
"NuclearModel"
   Type:
      Multiple Choice

   Default value:
      PointCharge

   Options:
      [PointCharge, Gaussian]

   Description:
      Model for the nuclear charge distribution.

      To see effects from your choice you will need to use a basis set
      with extra steep functions. For example you can find these in
      the ZORA/TZ2P-J basis directory.

"NumericalQuality"
   Type:
      Multiple Choice

   Default value:
      Normal

   Options:
      [Basic, Normal, Good, VeryGood, Excellent]

   Description:
      Set the quality of several important technical aspects of an ADF
      calculation (with the notable exception of the basis set). It
      sets the quality of: BeckeGrid (numerical integration) and
      ZlmFit (density fitting). Note: the quality defined in the block
      of a specific technical aspects supersedes the value defined in
      NumericalQuality (e.g. if I specify 'NumericalQuality Basic' and
      'BeckeGrid%Quality Good', the quality of the BeckeGrid will be
      'Good')

"Occupations"
   Type:
      String

   Description:
      Occupations options

"OPop_Analysis"
   Type:
      String

   Description:
"OrbitalsCoulombInteraction"
   Type:
      Integer List

   Recurring:
      True

   Description:
      Compute the Coulomb interaction energy between the density of
      two orbitals. After the key, specify the indices of the two
      orbitals for which you want to compute the Coulomb interaction
      energy. Can only be used for spin-restricted calculations.
      Cannot be used in case of Symmetry (use Symmetry NoSym).

"OrthFragPrep"
   Type:
      Bool

   Default value:
      No

   Description:
      Expert FDE option.

"PertLoc"
   Type:
      Block

   Description:
      Perturbed localized molecular orbitals, correct to first order
      in an applied field, can be calculated in case of AORESPONSE.
      Can be used if the applied field changes the density in first
      order.

   "Alfa"
      Type:
         Bool

      Default value:
         No

      Description:
         Analyze the static or dynamic polarizability

   "BField"
      Type:
         Bool

      Default value:
         No

      Description:
         The perturbation is a magnetic field. Should be consistent
         with AORESPONSE

   "Beta"
      Type:
         Bool

      Default value:
         No

      Description:
         Analyze the optical rotation parameter beta. The relation to
         G' is beta = -G'/omega. The optical rotation parameter beta
         is calculated directly and has a well-defined static limit,
         i.e. omega can be zero or non-zero

   "Diag"
      Type:
         Bool

      Default value:
         Yes

      Description:
         Only analyze the diagonal of the response tensor

   "Dynamic"
      Type:
         Bool

      Default value:
         No

      Description:
         Should be used for a frequency dependent perturbation field.

   "EField"
      Type:
         Bool

      Default value:
         Yes

      Description:
         The perturbation is an electric field

   "Fulltens"
      Type:
         Bool

      Default value:
         No

      Description:
         The full tensor is analyzed

   "GPrime"
      Type:
         Bool

      Default value:
         No

      Description:
         Analyze the G' (gyration) tensor, for optical rotation
         dispersion. Requires a frequency dependent perturbation
         field, with a frequency (omega) unequal to zero.

   "Static"
      Type:
         Bool

      Default value:
         Yes

      Description:
         should be used for a static field

"PolTDDFT"
   Type:
      Block

   Description:
      POLTDDFT is a fast algorithm to solve the TDDFT equations in the
      space of the density fitting auxiliary basis set. The (real and
      imaginary part of the) diagonal of the polarizability tensor and
      rotatory strengths will be calculated, which can be used to
      calculate the photoabsorption and circular dichroism (CD)
      spectra.

   "Analysis"
      Type:
         Bool

      Default value:
         No

      Description:
         An analysis of the absorption and CD spectrum in terms of
         single orbital transitions.

   "CutOff"
      Type:
         Float

      Default value:
         4.0

      Unit:
         eV

      Description:
         For a given point in the spectrum, only include pairs of an
         occupied and virtual orbital, for which the orbital energy
         difference is lower than the energy of the point in the
         spectrum plus cutoff.

   "Enabled"
      Type:
         Bool

      Default value:
         No

      GUI name:
         UV/Vis and CD spectrum

      Description:
         Calculate UV/Vis and CD spectrum from the imaginary part of
         the polarizability tensor at any given photon energy. This
         avoids the bottleneck of Davidson diagonalization.

   "FreqRange"
      Type:
         Float List

      Default value:
         [0.0, 5.0]

      Unit:
         eV

      Description:
         Specifies a frequency range of frequencies of incident light,
         the perturbing field, at which the complex dynamical
         polarizability will be calculated. 2 numbers: an upper and a
         lower bound. Use subkey NFreq to specify the number of
         frequencies.

   "HDA_fitted"
      Type:
         Bool

      Default value:
         No

      GUI name:
         Fitted HDA

      Description:
         Use fit functions to calculate HDA (Hybrid diagonal
         approximation), only relevant for hybrids.

   "Irrep"
      Type:
         Non-standard block

      Description:
         Subblock key for selecting which symmetry irreps of the
         excitations to calculate (all excitations by default). In the
         subkey data block list the symmetry irrep labels, like B1,
         for example

   "KGrid"
      Type:
         Float

      Default value:
         9.0

      Unit:
         eV

      Description:
         Keyword KGRID is used to discretize the energy scale for
         calculating the complex dynamical polarizability. Only pairs
         of an occupied and virtual orbital are included, for which
         the orbital energy difference is lower than this value. Use
         key NGRID to set the number of points within the energy grid.

   "Lambda"
      Type:
         Float

      Default value:
         1.0

      Description:
         Jacob's scaling factor for the study of plasmonic resonances.

         This factor, 0<lambda<1, turns on the coupling matrix K.

   "Lifetime"
      Type:
         Float

      Default value:
         0.1

      Unit:
         eV

      Description:
         Specify the resonance peak width (damping).

         Typically the lifetime of the excited states is approximated
         with a common phenomenological damping parameter. Values are
         best obtained by fitting absorption data for the molecule,
         however, the values do not vary a lot between similar
         molecules, so it is not hard to estimate values.

   "NFreq"
      Type:
         Integer

      Default value:
         100

      Description:
         NFreq is the number of frequencies of incident light, the
         perturbing field, at which the complex dynamical
         polarizability will be calculated. Use FreqRange to specify
         the frequency range.

   "NGrid"
      Type:
         Integer

      Default value:
         180

      Description:
         Ngrid is the number of points within the energy grid.

   "N_FitOrb"
      Type:
         Integer

      Default value:
         1000000000

      Description:
         The number of vectors containing the coefficients we use to
         expand the projection of each fitting function over the
         electron density (of a particular molecular orbital) as a
         linear combination of overlap matrices between fitting
         functions pair

   "N_HDA_integral"
      Type:
         Integer

      Default value:
         1000000000

      Description:
   "N_SubMatricesAk"
      Type:
         Integer

      Default value:
         1000000000

      Description:
   "Print_Int_Time"
      Type:
         Integer

      Default value:
         0

      Description:
         Print detailed timing during calculation of integrals of
         Tape63 and Tape64

   "RegionsForAnalysis"
      Type:
         String

      Description:
         Names of regions for analysis per region using the fragment
         projection analysis approach. Will split the absorption and
         CD spectrum in region_i -> region_j terms.

   "Velocity"
      Type:
         Bool

      Default value:
         No

      GUI name:
         Velocity representation

      Description:
         If True, ADF calculates the dipole moment in velocity gauge.

         If false: dipole-length representation is used

"Print"
   Type:
      String

   Recurring:
      True

   Description:
      The amount of printed output is regulated with the keys Print,
      NoPrint, EPrint and Debug.

"QMFQ"
   Type:
      Block

   Description:
      Block input key for QM/(w)FQ(FMu).

   "AtomType"
      Type:
         Block

      Recurring:
         True

      Description:
         Definition of atomic types in MM environment

      "Alpha"
         Type:
            Float

         Description:
            Polarizability of FQFMU atom

      "Area"
         Type:
            Float

         Description:
            Effective charge-transfer area time between same-type wFQ
            atoms

      "Charge"
         Type:
            Float

         Description:
            MM fixed charge (non-polarizable only)

      "Chi"
         Type:
            Float

         Description:
            Electronegativity of FQ atom

      "Dfermi"
         Type:
            Float

         Description:
            wFQ d parameter for Fermi damping

      "Efermi"
         Type:
            Float

         Description:
            Fermi Energy of wFQ carbon-based structure

      "Eta"
         Type:
            Float

         Description:
            Chemical Hardness of FQ atom

      "R0"
         Type:
            Float

         Description:
            wFQ R0 parameter for Fermi damping

      "Sfermi"
         Type:
            Float

         Description:
            wFQ s parameter for Fermi damping

      "Sigma0"
         Type:
            Float

         Description:
            Static conductivity time of wFQ atom

      "Symbol"
         Type:
            String

         Description:
            Symbol associated with atom type

      "Tau"
         Type:
            Float

         Description:
            Scattering time of wFQ atom

      "wFQFMuFile"
         Type:
            String

         Description:
            The absolute path to the wFQFMu interband polarizability
            file

   "Coords"
      Type:
         Non-standard block

      Description:
         Coordinates and fragment information (FQ only)

   "FDERESP"
      Type:
         Bool

      Default value:
         No

      Description:
         In response calculations (TD), the polarization contribution
         of the FDE part is introduced at the FQ level [See F. Egidi
         et al. J. Chem. Phys. 2021, 154, 164107].

   "Forcefield"
      Type:
         Multiple Choice

      Default value:
         FQ

      Options:
         [FQ, FQFMU, wFQ, wFQ_RQ, wFQFmu, wFQFmu_RQRMU]

      Description:
         Version of the FQ family of polarizable forcefields

   "Frozen"
      Type:
         Bool

      Default value:
         No

      Description:
         Expert option. Do not introduce polarization effect in
         response calculations.

   "Kernel"
      Type:
         Multiple Choice

      Default value:
         OHNO

      Options:
         [OHNO, COUL, GAUS]

      Description:
         Expert option. KERNEL can be used to choose the functional
         form of the charge-charge interaction kernel between MM
         atoms. Recommended is to use the default OHNO. The COUL
         screening is the standard Coulomb interaction 1/r. The OHNO
         choice introduce the Ohno functional (see [K. Ohno, Theoret.
         Chim. Acta 2, 219 (1964)]), which depends on a parameter n
         that is set equal to 2. Finally, the GAUS screening models
         each FQ charge by means of a spherical Gaussian-type
         distribution, and the interaction kernel is obtained
         accordingly. For QM/FQFMU only GAUS SCREEN is implemented.

   "LifeFrequency"
      Type:
         Float

      Default value:
         0.0

      Description:
         Input frequency for calculating TDDFT/wFQ(Fmu) lifetimes

   "LifeState"
      Type:
         Integer

      Default value:
         0

      Description:
         Target excited state for state-specific TDDFT/wFQ(Fmu)
         lifetimes

   "MolCharge"
      Type:
         Float

      Default value:
         0.0

      Description:
         Total charge of each fragment (FQ only)

   "NonEle"
      Type:
         Multiple Choice

      Default value:
         LJ

      Options:
         [LJ, None]

      Description:
         Whether to include non-electrostatic contributions to the
         energy. Default is the Lennard-Jones (LJ) model.

   "QMSCREEN"
      Type:
         Multiple Choice

      Default value:
         GAUS

      Options:
         [ERF, EXP, GAUS, NONE]

      Description:
         Expert option. QMSCREEN can be used to choose the functional
         form of the charge-charge interaction kernel between MM atoms
         and the QM density. The screening types available are ERF
         (error function), EXP (exponential), GAUS (Gaussian), or
         NONE. The default is GAUS.

   "QMSCREENFACTOR"
      Type:
         Float

      Default value:
         0.2

      Description:
         Expert option. Sets the QM/MM interaction kernel screening
         length. Recommended is to use the default value 0.2 with the
         GAUS QM/MM screening function.

   "ReadDynamicMatrix"
      Type:
         String

      Description:
         The absolute path to the decomposed wFQ(FMu) matrix file

"QTAIM"
   Type:
      Block

   Description:
      This block is used to request a topological analysis of the
      gradient field of the electron density, also known as the
      Bader's analysis. If this block is specified without any sub-
      key, only local properties are calculated.

   "AnalysisLevel"
      Type:
         Multiple Choice

      Default value:
         Normal

      Options:
         [Normal, Extended, Full]

      Description:
         Set the level of the QTAIM analysis:

         Normal - topology analysis and properties at the density
         critical points,

         Extended - same as Normal plus condensed atomic descriptors,
         plus basin information on TAPE10

         Full - same as Extended plus non-local descriptors.

   "AtomsToDo"
      Type:
         Integer List

      GUI name:
         Include atoms

      Description:
         List of atoms for which condensed descriptors are to be
         calculated. By default all atoms are included.

   "Enabled"
      Type:
         Bool

      Default value:
         No

      GUI name:
         Perform QTAIM analysis

      Description:
         Calculate QTAIM (also known as Bader) properties.

   "Energy"
      Type:
         Bool

      Default value:
         No

      GUI name:
         Atomic energies

      Description:
         Calculate atomic energies. Requires an all-electron
         calculation (no frozen core), triggers the TotalEnergy and
         increases the [AnalysisLevel] to at least Extended.

   "Source"
      Type:
         Bool

      Default value:
         No

      GUI name:
         Source Function

      Description:
         Calculate the Source Function at BCPs and RCPs.

   "Spacing"
      Type:
         Float

      Default value:
         0.5

      Unit:
         Bohr

      Description:
         Specifies spacing of the initial Cartesian grid when
         searching for critical points. It may be useful to specify a
         smaller value than the default if some critical points are
         missed. This will result in a more accurate but slower
         calculation.

"QTens"
   Type:
      Bool

   Default value:
      No

   Description:
      Calculate the the Nuclear Electric Quadrupole Hyperfine
      interaction (Q-tensor, NQCC, NQI), related to the Electric Field
      Gradient (EFG).

"RadialCoreGrid"
   Type:
      Block

   Description:
      For each atom the charge densities and the coulomb potentials of
      frozen core and valence electrons are computed in a radial grid.
      The radial grid consists of a sequence of r-values, defined by a
      smallest value, a constant multiplication factor to obtain each
      successive r-value, and the total number of points. Equivalently
      it can be characterized by the smallest r-value, the largest
      r-value, and the number of points; from these data the program
      computes then the constant multiplication factor.

   "NRad"
      Type:
         Integer

      Default value:
         5000

      Description:
         The number of radial grid points

   "RMax"
      Type:
         Float

      Default value:
         100.0

      Unit:
         Angstrom

      Description:
         The largest distance in the radial grid

   "RMin"
      Type:
         Float

      Default value:
         1e-06

      Unit:
         Angstrom

      Description:
         The shortest distance used in the radial grid

"Relativity"
   Type:
      Block

   Description:
      Options for relativistic effects.

   "Formalism"
      Type:
         Multiple Choice

      Default value:
         ZORA

      Options:
         [Pauli, ZORA, X2C, RA-X2C]

      Description:
         Note that if Level is None, no relativistic effects are taken
         into account, irrespective of the chosen formalism.

         Pauli stands for the Pauli Hamiltonian.

         ZORA means the Zero Order Regular Approximated Hamiltonian,
         recommended.

         X2C and RA-X2C both stand for an exact transformation of the
         4-component Dirac equation to 2-components.

         X2C is the modified Dirac equation by Dyall.

         RA-X2C is the regular approach to the modified Dirac
         equation.

   "Level"
      Type:
         Multiple Choice

      Default value:
         Scalar

      Options:
         [None, Scalar, Spin-Orbit]

      GUI name:
         Relativity

      Description:
         None: No relativistic effects.

         Scalar: Scalar relativistic.

         This option comes at very little cost.

         Spin-Orbit: Spin-orbit coupled.

         This is the best level of theory, but it is (4-8 times) more
         expensive than a normal calculation. Spin-orbit effects are
         generally quite small, unless there are very heavy atoms in
         your system, especially with p valence electrons (like Pb).

         See also the SpinOrbitMagnetization subkey.

   "Potential"
      Type:
         Multiple Choice

      Default value:
         MAPA

      Options:
         [MAPA, SAPA]

      Description:
         Starting from ADF2017 instead of SAPA (the Sum of neutral
         Atomic potential Approximation) MAPA is used by default for
         ZORA. The MAPA (the Minimum of neutral Atomic potential
         Approximation) at a point is the minimum of the neutral
         Atomic potentials at that point. Advantage of MAPA over SAPA
         is that the gauge dependence of ZORA is reduced. The ZORA
         gauge dependency is small for almost all properties, except
         for the electron density very close to a heavy nucleus. The
         electron density very close to a heavy nucleus can be used
         for the interpretation of isomer shifts in Mossbauer
         spectroscopy.

   "SpinOrbitMagnetization"
      Type:
         Multiple Choice

      Default value:
         CollinearZ

      Options:
         [NonCollinear, Collinear, CollinearX, CollinearY, CollinearZ]

      Description:
         Relevant only for spin-orbit coupling and if unrestricted key
         has been activated.

         Most XC functionals have as one ingredient the spin
         polarization in case of unrestricted calculations. Normally
         the direction of the spin quantization axis is arbitrary and
         conveniently chosen to be the z-axis.

         However, in a spin-orbit calculation the direction matters,
         and it is arbitrary to put the z-component of the
         magnetization vector into the XC functional. There is also
         the exotic option to choose the quantization axis along the x
         or y axis.

         It is also possible to plug the size of the magnetization
         vector into the XC functional. This is called the non-
         collinear approach.

         * NonCollinear: the non-collinear method.

         * CollinearXYZ: use the x, y, or z component as spin
           polarization for the XC functional.

         * Collinear: the same as CollinearZ.

"RemoveAllFragVirtuals"
   Type:
      Bool

   Default value:
      No

   Description:
      Remove all virtual fragment orbitals.

"RemoveFragOrbitals"
   Type:
      Non-standard block

   Description:
      Block key to remove selected virtual fragment orbitals.

"RemoveOtherFragVirtuals"
   Type:
      Bool

   Default value:
      No

   Description:
      Remove all virtual fragment orbitals, except on first fragment.

"Response"
   Type:
      Block

   Description:
      The calculation of frequency-dependent (hyper)polarizabilities
      and related properties (Raman, ORD)

   "ALLCOMPONENTS"
      Type:
         Bool

      Description:
   "ALLHYPER"
      Type:
         Bool

      Description:
   "ALPHAINANG"
      Type:
         Bool

      Description:
   "ANALYTIC"
      Type:
         Bool

      Description:
   "AllCycles"
      Type:
         Bool

      Default value:
         No

      Description:
         Convergence printout

   "AllTensor"
      Type:
         Bool

      Default value:
         No

      Description:
         Higher dispersion coefficients are also calculated

   "C8"
      Type:
         Bool

      Description:
   "CUTTAILS"
      Type:
         Bool

      Description:
   "DYNAHYP"
      Type:
         Bool

      Description:
   "Dipole"
      Type:
         Bool

      Description:
   "DmpDII"
      Type:
         Float

      Default value:
         0.8

      Description:
   "DmpRsp"
      Type:
         Float

      Default value:
         0.9

      Description:
   "ERABSX"
      Type:
         Float

      Default value:
         1e-06

      Description:
   "ERRALF"
      Type:
         Float

      Default value:
         1e-05

      Description:
   "ERRTMX"
      Type:
         Float

      Default value:
         1e-06

      Description:
   "EpsRho"
      Type:
         Float

      Description:
         Rho threshold

   "FXCALPHA"
      Type:
         Float

      Description:
   "Frequencies"
      Type:
         Float List

      Default value:
         [0.0]

      Unit:
         eV

      Description:
         List of frequencies of incident light, the perturbing field,
         at which the time-dependent properties will be calculated.

   "GXCALPHA"
      Type:
         Float

      Description:
   "HyperPol"
      Type:
         Float

      Default value:
         0.0

      Unit:
         Hartree

      Description:
   "IFILES"
      Type:
         Integer

      Default value:
         0

      Description:
         Integration run including external files. Used for Van der
         Waals dispersion coefficients calculations.

   "IPRESP"
      Type:
         Integer

      Default value:
         1

      Description:
   "IReal"
      Type:
         Integer

      Default value:
         1

      Description:
   "KSORBRUN"
      Type:
         Bool

      Description:
   "MAGNETICPERT"
      Type:
         Bool

      Description:
   "MAXWAALS"
      Type:
         Integer

      Default value:
         8

      Description:
   "NCycMx"
      Type:
         Integer

      Default value:
         30

      Description:
   "NUMERIC"
      Type:
         Bool

      Description:
   "OPTICALROTATION"
      Type:
         Bool

      Description:
   "Octupole"
      Type:
         Bool

      Description:
   "Quadrupole"
      Type:
         Bool

      Description:
   "Raman"
      Type:
         Bool

      Description:
   "STARTREALGR"
      Type:
         Bool

      Description:
   "SYMRUN"
      Type:
         Bool

      Description:
   "Temperature"
      Type:
         Float

      Default value:
         300.0

      Unit:
         Kelvin

      Description:
         Wavelength of incoming light is equal to the wavelength at
         which the calculation is performed and temperature is equal
         to room temperature (300K) Total Raman band is default, not
         the Q-branch of diatomic.  (Relevant for Raman scattering
         cross section)

   "VANDERWAALS"
      Type:
         Integer

      Description:
   "VERDET"
      Type:
         Float

      Default value:
         0.01

      Description:
         For numerical differentiation d alfa(omega) /d omega, needed
         for Verdet constant, the default frequencies are omega +
         dverdt and omega - dverdt

"ResponseFormalism"
   Type:
      Multiple Choice

   Default value:
      Auto

   Options:
      [Auto, Response, AOResponse]

   Description:
      Set to RESPONSE or AORESPONSE.

"RESPPMATSAVE"
   Type:
      Bool

   Default value:
      No

   Description:
      Needed for SubResponse (EO) calculations. Hacked by JN. Restored
      by Pengchong Liu

"Restart"
   Type:
      Block

   Description:
      Options for restarts

   "NoOrb"
      Type:
         Bool

      Default value:
         No

      GUI name:
         Ignore orbitals

      Description:
         Do not use orbitals from the restart file

   "NoSCF"
      Type:
         Bool

      Default value:
         No

      GUI name:
         Ignore SCF fit coefficients

      Description:
         Do not use any fit coefficients from the restart file as a
         first approximation to the (fitted) SCF density for the new
         calculation. Instead, the sum-of-fragments density will be
         used, as in a non-restart run. Note, typically noSCF should
         be used in combination with noORB.

   "NoSmear"
      Type:
         Bool

      Default value:
         No

      GUI name:
         Ignore smearing

      Description:
         Do not use any electron smearing data from the restart file.

   "SpinFlip"
      Type:
         Integer List

      GUI name:
         Spin flip on restart for

      Description:
         Select the atoms for which the spin is to be flipped upon
         restart.

"RESTOCC"
   Type:
      Bool

   Default value:
      No

   Description:
"RIHartreeFock"
   Type:
      Block

   Description:
   "DependencyCoreRange"
      Type:
         Float

      Description:
         Basis functions may be given a core character based on the
         range. For now only active in Band and only if present in the
         input

   "DependencyThreshold"
      Type:
         Float

      Default value:
         0.001

      Description:
         To improve numerical stability, almost linearly-dependent
         combination of basis functions are removed from the Hartree-
         Fock exchange matrix.

         If you obtain unphysically large bond energy in an Hybrid
         calculation, or an unphysically low correlation energy in an
         RPA, MP2, or double hybrid calculation, you might try setting
         the DependencyThreshold to a larger value (e.g. 3.0E-3)

         Note, that in GW calculations and GW-BSE calculations the
         default for this key is 5.0e-3.

   "ExplicitThresholds"
      Type:
         Block

      Description:
         Override the thresholds as implied by the ThresholdQuality.

      "Basis"
         Type:
            Float

         Description:
            Threshold for the basis functions.

      "Fit"
         Type:
            Float

         Description:
            Threshold for the fit functions.

      "Potential"
         Type:
            Float

         Description:
            Threshold for the potential of the functions.

   "FitGenerationDetails"
      Type:
         Block

      Description:
         Technical details about how the RI Hartree-Fock fit functions
         are generated.

      "BoostL"
         Type:
            Bool

         Default value:
            No

         Description:
            Add extra max(l)+1 diffuse function

            When l denotes the highest angular momentum present in the
            primary basis,

            FromBasisProducts will generate auxiliary fit functions
            with up to 2l angular momentum.

            When this key is set to true, the maximum angular momentum
            in the auxiliary fit set becomes 2l+2.

            Typically, this option is not needed and when precision
            issues arise, it is rather advised to adjust the
            OneCenterDependencyThreshold key to a smaller value.

      "LapackWorkAround"
         Type:
            Bool

         Default value:
            No

         Description:
            GetFitFunctionsForAtomType diagonalization done with
            Lapack instead of Scalapack

      "Method"
         Type:
            Multiple Choice

         Default value:
            Auto

         Options:
            [Auto, FromBasisProducts]

         Description:
            The way in which fit functions are generated. The main
            distinction is whether it depends on the basis functions
            used.

            When FromBasisProducts is used, the auxiliary basis is
            generated directly from the products of primary basis
            functions.

            This has the advantage that the auxiliary fit adapts
            automatically to the basis set size.

            Especially for basis sets of QZ quality or larger, this is
            often necessary to obtain highly precise correlation
            energies using RPA or double hybrids

            FromBasisProducts option is also useful for GW or BSE
            calculations with basis sets of QZ quality or larger.

      "OneCenterDependencyThreshold"
         Type:
            Float

         Default value:
            1e-08

         Description:
            This key is only active when FromBasisProducts is chosen
            as method to generate the auxiliary basis.

            This threshold controls the size, and at the samw time,
            the precision of the auxiliary basis set. A smaller number
            leads to a larger auxiliary fit set.

            The default value of 1e-8 is typically sufficient to
            converge correlation energies and QP energies to a very
            high precision.

            It corresponds to an auxiliary basis which is typically
            8-9 times larger than the primary basis.

      "UseBandRadialGrid"
         Type:
            Bool

         Default value:
            Yes

         Description:
            Only applies to band. The band logarithmic grid ranges (by
            default) from 1e-6 to 100 with 3000 points. Otherwise 300
            points will be used.

            For 0-periodicity (molecules) it is advisable to set this
            key to false since lots of memory is needed to evaluate
            all necessary integrals.

   "FitSetQuality"
      Type:
         Multiple Choice

      Default value:
         Auto

      Options:
         [Auto, VeryBasic, Basic, Normal, Good, VeryGood, Excellent,
         FromBasisProducts]

      Description:
         The quality of auxiliary fit set employed in the RI scheme.

         If 'Auto', the value of the RIHartreeFock Quality option will
         be used.

         Normal quality is generally sufficient for basis sets up to
         and including TZ2P.

         For larger basis sets (or for benchmarking purposes) a
         VeryGood fit set is recommended.

         Note that the FitSetQuality heavily influences the
         computational cost of the calculation.

   "IntegrationQuality"
      Type:
         Multiple Choice

      Options:
         [VeryBasic, Basic, Normal, Good, VeryGood, Excellent]

      Description:
         Quality of the numerical integration for evaluating the
         integrals between basis functions and fit functions. If
         IntegrationQuality is not defined in input, the value defined
         in RIHartreeFock%Quality will be used.

   "Quality"
      Type:
         Multiple Choice

      Default value:
         Auto

      Options:
         [Auto, VeryBasic, Basic, Normal, Good, VeryGood, Excellent]

      Description:
         Numerical accuracy of the RI procedure. If 'Auto', the
         quality specified in the 'NumericalQuality' will be used.

   "QualityPerRegion"
      Type:
         Block

      Recurring:
         True

      Description:
         Sets the fit-set quality for all atoms in a region. If
         specified, this overwrites the globally set quality.

      "Quality"
         Type:
            Multiple Choice

         Options:
            [VeryBasic, Basic, Normal, Good, VeryGood, Excellent]

         Description:
            This region's quality of the auxiliary fit set employed in
            the RI scheme.

      "Region"
         Type:
            String

         Description:
            The identifier of the region for which to set the quality.

   "ResponseQuality"
      Type:
         Multiple Choice

      Options:
         [VeryBasic, Basic, Normal, Good, VeryGood, Excellent]

      Description:
         Numerical accuracy of the RI procedure for the Response
         module.

   "ThresholdQuality"
      Type:
         Multiple Choice

      Options:
         [VeryBasic, Basic, Normal, Good, VeryGood, Excellent]

      Description:
         Linear scaling thresholds (also used for determining at what
         range the multiple approximation is used). To disable all
         linear scaling thresholds set this to Excellent.

   "UseMe"
      Type:
         Bool

      Default value:
         Yes

      Description:
         Set to False if you want to use the old RI scheme (ADF only)

"RISM"
   Type:
      Non-standard block

   Description:
      3D-RISM-related input keys.

"ROSE"
   Type:
      Block

   Description:
      Options for orbital localization

   "Additional_virtuals_cutoff"
      Type:
         Float

      Default value:
         2.0

      Unit:
         Hartree

      GUI name:
         Additional virtuals cutoff

      Description:
         Specifies the energy threshold to determine the number of
         additional hard virtuals to localize for the supermolecule.
         If not specified the default value is used.

   "Exponent"
      Type:
         Integer

      Description:
         The value of the exponent (for the default Pipek-Mezey type
         of localization, the exponent is equal to 2. A higher value
         of 3 or 4 is sometimes useful.).

   "Frag_bias"
      Type:
         Float List

      Description:
         Expert key. Specifies the bias applied to each fragment when
         assigning the localized orbitals to a particular fragment.
         Use a negative value for default behavior for a given
         fragment. If not specified, or if the number of items is
         unequal the number of fragments, a default bias is used.

   "Frag_threshold"
      Type:
         Float

      Default value:
         10.0

      Unit:
         Hartree

      GUI name:
         Frag threshold

      Description:
         Specifies energy threshold to determine number of reference
         hard virtuals to use for the fragments (needed to localize
         the additional hard virtuals). The total number of reference
         virtuals should be larger than the number of virtual MOs to
         localize (similar to having more reference valence orbitals
         than occupied valence orbitals to localize), so it is
         advisable to use a relatively high value for this parameter.
         If not specified the default value is used.

   "Frag_valence"
      Type:
         Integer List

      Description:
         Expert key. Specifies the number of valence orbitals for each
         fragment. Use a negative value for default behavior for a
         given fragment. If not specified, or if the number of items
         is unequal the number of fragments, by default the code
         generates the valence space for each fragment as the sum of
         valence orbitals of individual atoms within each fragment.

   "FragmentFile"
      Type:
         String

      Recurring:
         True

      Description:
         Path (either absolute or relative) of each fragment file. The
         number of fragments used to project on will be number of
         occurrences of this key.

   "Version"
      Type:
         Multiple Choice

      Options:
         [Stndrd_2013, Simple_2013, Simple_2014]

      Description:
         Expert key, specifies version of the IAO generation. If not
         specified a default value is used.

   "nfragments"
      Type:
         Integer

      Default value:
         2

      Description:
         Expert key, preferably use the FragmentFile key for each
         fragment instead, and do not use this key. If the
         FragmentFile key is not used, then with this key one can
         specify the number of fragments used to project on. If this
         key is used the fragment file names should be called
         frag1.rkf, frag2.rkf, etcetera, and should be present at the
         directory where ams is started.

"Save"
   Type:
      String

   Recurring:
      True

   Description:
      A sequence of file names separated by blanks or commas. Possible
      file names are TAPE10, TAPE13, TAPE14.

"scaledkinfunctionals"
   Type:
      Bool

   Default value:
      No

   Description:
      FDE option.

"SCF"
   Type:
      Block

   Description:
      Control aspects of the Self Consistent Field procedure

   "AccelerationMethod"
      Type:
         Multiple Choice

      Default value:
         ADIIS

      Options:
         [ADIIS, fDIIS, LISTb, LISTf, LISTi, MESA, SDIIS]

      Description:
         SCF acceleration method.

         The default method is ADIIS, which is actually a mix of
         A-DIIS and SDIIS: A-DIIS is used at the start of the SCF and
         SDIIS is used closer to convergence, with a smooth switching
         function.

         The other methods are from the LIST family developed by Alex
         Wang and co-workers. They may perform better than the default
         in some situations.

         Setting AccelerationMethod to SDIIS effectively disables
         A-DIIS and is equivalent to the legacy mixing+DIIS method.

   "Converge"
      Type:
         Float List

      Default value:
         [1e-06, 0.001]

      Description:
         The criterion to stop the SCF updates.

         The tested error is the commutator of the Fock matrix and the
         P-matrix (=density matrix in the representation of the basis
         functions) from which the F-matrix was obtained. This
         commutator is zero when absolute self-consistency is reached.
         Convergence is considered reached when the maximum element
         falls below SCFcnv and the norm of the matrix below
         10*SCFcnv. The default is fairly strict.

         A second criterion which plays a role when the SCF procedure
         has difficulty converging. When in any SCF procedure the
         currently applicable criterion does not seem to be
         achievable, the program stops the SCF. When the secondary
         criterion (sconv2) has been met, only a warning is issued and
         the program continues normally.

   "DIIS"
      Type:
         Block

      Description:
         The maximum number of SCF cycles allowed.

      "BFac"
         Type:
            Float

         Default value:
            0.0

         GUI name:
            Bias DIIS towards latest vector with

         Description:
            By default, the latest vector is not favored in the DIIS
            algorithm (value 0.0). A sensible value would be 0.2.

      "CX"
         Type:
            Float

         Default value:
            5.0

         GUI name:
            Reduce DIIS space when coefs >

         Description:
            The DIIS space is reduced when very large DIIS
            coefficients appear. The value is the threshold.

      "CXX"
         Type:
            Float

         Default value:
            25.0

         GUI name:
            No DIIS (but damping) when coefs >

         Description:
            When very large DIIS coefficients appear, switch to
            traditional damping. The value is the threshold.

      "Cyc"
         Type:
            Integer

         Default value:
            5

         GUI name:
            Start DIIS anyway at cycle

         Description:
            When A-DIIS is disabled, the Pulay DIIS will start at this
            iteration irrespective of the DIIS OK value.

      "N"
         Type:
            Integer

         Default value:
            10

         GUI name:
            Size of DIIS space

         Description:
            The number of expansion vectors used for accelerating the
            SCF. The number of previous cycles taken into the linear
            combination is then n-1 (the new computed potential is
            also involved in the linear combination)

      "Ok"
         Type:
            Float

         Default value:
            0.5

         GUI name:
            Start DIIS when max [F,P] <

         Description:
            The Pulay DIIS starting criterion, when A-DIIS is
            disabled,

   "Iterations"
      Type:
         Integer

      Default value:
         300

      GUI name:
         Maximum number of SCF cycles

      Description:
         The maximum number of SCF cycles allowed.

   "LShift"
      Type:
         Float

      Default value:
         0.0

      Unit:
         Hartree

      GUI name:
         Level shift

      Description:
         The level shifting parameter.

         The diagonal elements of the Fock matrix, in the
         representation of the orbitals of the previous iteration, are
         raised by vshift hartree energy units for the virtual
         orbitals. This may help to solve convergence problems when
         during the SCF iterations charge is sloshing back and forth
         between different orbitals that are close in energy and all
         located around the Fermi level.

         Level shifting is not supported in the case of Spin-Orbit
         coupling.

         At the moment properties that use virtuals, like excitation
         energies, response properties, NMR calculations, will give
         incorrect results if level shifting is applied.

   "LShift_cyc"
      Type:
         Integer

      Default value:
         1

      Description:
         Specifies that level shifting is not turned on before the
         given SCF cycle number (for the start-up geometry).

   "LShift_err"
      Type:
         Float

      Default value:
         0.0

      Description:
         Specifies that level shifting will be turned off by the
         program as soon as the SCF error drops below a threshold.

   "MESA"
      Type:
         String

      Description:
   "Mixing"
      Type:
         Float

      Default value:
         0.2

      GUI name:
         Mixing (% new vector included)

      Description:
         When none of the SCF acceleration methods is active, the next
         Fock matrix is determined F = mixing * F_n +
         (1-mixing)F_(n-1).

   "Mixing1"
      Type:
         Float

      Default value:
         0.2

      GUI name:
         Mixing 1st SCF cycle

      Description:
         The mixing parameter at the 1st SCF cycle.

   "OldSCF"
      Type:
         Bool

      Default value:
         No

      Description:
         Disable the default SCF algorithm and use the old SCF
         algorithm.

         The default SCF improves performance for big systems on big
         machines (when your calculation uses many tasks).

         It is also recommended for machines with slow disk I/O as it
         writes less data to disk.

         The default convergence method supported is A-DIIS, but LISTi
         is also supported.

   "ROSCF"
      Type:
         Block

      Description:
         Settings for the ROSCF method.

      "Alpha"
         Type:
            Float List

         Default value:
            [0.5, 0.5, 0.5]

         Description:
            Coefficients to build the alpha-spin orbital contribution
            to the diagonal closed-, open-, and virtual-shell blocks
            of the Fock matrix. The beta-spin orbital contributions
            are 1.0 minus the alpha ones.

"SCRF"
   Type:
      Non-standard block

   Description:
      SCRF is no longer supported. Use AMS2023 or earlier.

"SelectExcitation"
   Type:
      Block

   Description:
   "DipStrength"
      Type:
         Float

      Description:
   "GRIMMEAEX"
      Type:
         Float

      Description:
   "GRIMMEALPHA"
      Type:
         Float

      Description:
   "GRIMMEBETA"
      Type:
         Float

      Description:
   "GRIMMEDEMAX"
      Type:
         Float

      Description:
   "GRIMMEPERTC"
      Type:
         Bool

      Description:
   "GRIMMETPMIN"
      Type:
         Float

      Description:
   "HighExcit"
      Type:
         Float

      Description:
   "NOGRIMMEPERTC"
      Type:
         Bool

      Description:
   "NOverlap"
      Type:
         Integer

      Default value:
         0

      Description:
   "OscStrength"
      Type:
         Float

      Description:
         Use only pairs of an occupied and virtual orbital as guess
         vectors, for which the oscillator strength of the single-
         orbital transition is larger than this value

   "SetLargeEnergy"
      Type:
         Float

      Default value:
         1000000.0

      Unit:
         Hartree

      Description:
         The orbital energies of the uninteresting occupied orbitals
         are changed to -epsbig Hartree, and the orbital energies of
         the uninteresting virtual orbitals are changed to epsbig
         Hartree

   "SetOccEnergy"
      Type:
         Float

      Description:
         All occupied orbitals that have to be used will change their
         orbital energy to this value. In practice only useful if one
         has selected one occupied orbital energy, and one want to
         change this to another value. Default: the orbital energies
         of the occupied orbitals that are used are not changed.

   "UseOccRange"
      Type:
         Float List

      Unit:
         Hartree

      Description:
         Use only occupied orbitals which have orbital energies
         between the two numbers.

   "UseOccVirtNumbers"
      Type:
         Integer List

      Description:
         Use only pairs of an occupied and virtual orbital as guess
         vectors, for which in the sorted list of the orbital energy
         differences, the number of the single-orbital transition is
         between the two numbers.

   "UseOccVirtRange"
      Type:
         Float List

      Unit:
         Hartree

      Description:
         Use only pairs of an occupied and virtual orbital, for which
         the orbital energy difference is between the two numbers

   "UseOccupied"
      Type:
         Non-standard block

      Description:
         Use only the occupied orbitals which are specified

   "UseScaledZORA"
      Type:
         Bool

      Default value:
         No

      Description:
         Use everywhere the scaled ZORA orbital energies instead of
         the ZORA orbital energies in the TDDFT equations. This can
         improve deep core excitation energies. Only valid if ZORA is
         used.

   "UseVirtRange"
      Type:
         Float List

      Unit:
         Hartree

      Description:
         Use only virtual orbitals which have orbital energies between
         the two numbers

   "UseVirtual"
      Type:
         Non-standard block

      Description:
         Use only the virtual orbitals which are specified

"SFTDDFT"
   Type:
      Bool

   Default value:
      No

   GUI name:
      Spin-flip excitations

   Description:
      Calculate spin-flip excitation energies (requires TDA and
      FORCEALDA keys).

"SharcOverlap"
   Type:
      Bool

   Default value:
      No

   Description:
"Skip"
   Type:
      String

   Recurring:
      True

   Description:
      Expert key. To restrict which parts of the program are actually
      executed.

"SlaterDeterminants"
   Type:
      Non-standard block

   Description:
      The calculation of the one-determinant states based on the AOC
      reference state is controlled with this key.

"Solvation"
   Type:
      Block

   Description:
   "ARO"
      Type:
         Float

      Description:
   "Acid"
      Type:
         Float

      Description:
   "Ass"
      Type:
         Bool

      Description:
   "Base"
      Type:
         Float

      Description:
   "BornC"
      Type:
         Float

      Description:
         Coulomb constant for Born

   "C-Mat"
      Type:
         String

      Description:
   "COSKFAtoms"
      Type:
         Integer List

      Recurring:
         True

      Description:
         This subkey COSKFATOMS specifies for which nuclei the
         segments in the COSMO section of the COSKF file should be
         used. Default all nuclei should be used, i.e. as for omitting
         the subkey COSKFATOMS. The numbers refer to the input
         ordering in the ADF calculation.

   "Charged"
      Type:
         String

      Description:
   "Chgal"
      Type:
         Float

      Description:
   "CsmRsp"
      Type:
         Bool

      Description:
   "Cust"
      Type:
         String

      Description:
   "Debug"
      Type:
         String

      Description:
   "Disc"
      Type:
         String

      Description:
   "Div"
      Type:
         String

      Description:
   "EPS"
      Type:
         Float

      Description:
   "ForceCosmo"
      Type:
         String

      Description:
   "HALO"
      Type:
         Float

      Description:
   "Lpr"
      Type:
         Bool

      Description:
   "NoAss"
      Type:
         Bool

      Description:
   "NoCsmRsp"
      Type:
         Bool

      Description:
   "NoLpr"
      Type:
         Bool

      Description:
   "NoPVec"
      Type:
         Bool

      Description:
   "PVec"
      Type:
         Bool

      Description:
   "PrintSM12"
      Type:
         Bool

      Description:
   "RADII"
      Type:
         Non-standard block

      Description:
   "RadSolv"
      Type:
         Float

      Description:
   "Ref"
      Type:
         Float

      Description:
   "SCF"
      Type:
         String

      Description:
   "SM12SolvationPotential"
      Type:
         Multiple Choice

      Default value:
         CM5

      Options:
         [CM5, CHELPG, RESP]

      Description:
         Partial Charges to use in SCRF for SM12

   "SM12espgridorder"
      Type:
         Integer

      Default value:
         19

      Description:
         ESP Lebedeev Grid order for SM12 CHELPG and RESP. Accepted
         values are 19, 23, 29,31, and 41

   "SM12espgridspacing"
      Type:
         Float

      Default value:
         0.5

      Unit:
         Angstrom

      Description:
         ESP Lebedeev Grid spacing for SM12 CHELPG and RESP in
         Angstrom. Sensible choices are 0.1, 0.2, 0.3 or 0.5 Angstrom.

   "SM12printSCRF"
      Type:
         Bool

      Default value:
         No

      Description:
         Print Control for SM12 SCRF data

   "Solv"
      Type:
         String

      Description:
         Solvent details

   "Surf"
      Type:
         Multiple Choice

      Default value:
         delley

      Options:
         [wsurf, asurf, esurf, klamt, delley, wsurf nokeep, asurf
         nokeep, esurf nokeep, klamt nokeep, delley nokeep]

      Description:
         Defines the type of cavity to be used.

   "Tens"
      Type:
         Float

      Description:
"SOMCD"
   Type:
      Bool

   Default value:
      No

   Description:
      MCD option. Required for a calculation of MCD temperature-
      dependent C terms. The calculation must be an unrestricted and
      scalar relativistic ZORA.

"SOPert"
   Type:
      Block

   Description:
      Key for perturbative inclusion of spin-orbit coupling.

   "EShift"
      Type:
         Float

      Default value:
         0.2

      Description:
         The actually calculated eigenvalues are calculated up to the
         maximum singlet-singlet or singlet-triplet scalar
         relativistic excitation energy plus eshift (in Hartree).

   "GSCorr"
      Type:
         Bool

      Default value:
         Yes

      GUI name:
         Include GS

      Description:
         The singlet ground state is included, which means that spin-
         orbit coupling can also have some effect on energy of the
         ground state. The spin-orbit matrix in this case is on basis
         of the ground state and the singlet and triplet excited
         states.

   "NCalc"
      Type:
         Integer

      Description:
         Number of spin-orbit coupled excitation energies to be
         calculated. Default (and maximum) value: 4 times the number
         of scalar relativistic singlet-singlet excitations.

"sozero"
   Type:
      Bool

   Default value:
      No

   Description:
      Debug option to set spin-orbit matrix to zero.

"SpinOrbitMagnetization"
   Type:
      Block

   Description:
      Starting artificial spin-orbit magnetization at first SCF cycle

   "PerRegion"
      Type:
         Block

      Recurring:
         True

      Description:
         Defines the starting spin-polarization direction for all
         atoms in a region. Note that if this keyword is used multiple
         times, the chosen regions may not overlap.

      "Direction"
         Type:
            Float List

         Default value:
            [0.0, 0.0, 1.0]

         Description:
            The starting spin-polarization direction for a region.

      "Region"
         Type:
            String

         Description:
            The identifier of the region for which to define the
            starting spin-polarization direction.

      "Strength"
         Type:
            Float

         Default value:
            0.2

         Unit:
            Hartree

         Description:
            Strength of artificial spin-polarization in this region

   "Strength"
      Type:
         Float

      Default value:
         0.2

      Unit:
         Hartree

      Description:
         Strength of artificial spin-polarization at first SCF cycle

"SpinPolarization"
   Type:
      Float

   Default value:
      0.0

   Description:
      The spin polarization of the system, which is the number of
      spin-alpha electrons in excess of spin-beta electrons.
      Specification is only meaningful in a spin-unrestricted
      calculation. However, specification is not meaningful in an
      unrestricted Spin-Orbit coupled calculation using the
      (non-)collinear approximation.

"STContrib"
   Type:
      Bool

   Default value:
      No

   Description:
      For an analysis of spin-orbit coupled excitations in terms of
      scalar relativistic singlet and triplet excitations. In order to
      get this analysis one needs to perform a scalar relativistic
      TDDFT calculation of excitation energies on the closed shell
      molecule first, and use the resulting adf.rkf as a fragment in
      the spin-orbit coupled TDDFT calculation of excitation energies,
      including this keyword STCONTRIB.

"STOFit"
   Type:
      Bool

   Default value:
      No

   Description:
      Computation of the Coulomb potential with the pair fit method.

"StopAfter"
   Type:
      String

   Description:
"SubExci"
   Type:
      Block

   Description:
      Subsystem TDDFT (FDE)

   "CICoupl"
      Type:
         Bool

      Default value:
         No

      Description:
         Within the Tamm-Dancoff Approximation, the couplings between
         localized excited states on different subsystems correspond
         directly to so-called exciton couplings. The CICOUPL keyword,
         in conjunction with TDA, prints these exciton couplings. It
         is also possible to use CICOUPL with full FDEc-TDDFT. In that
         case, the excitonic couplings between monomers are
         reconstructed from an effective 2x2 CIS-like eigenvalue
         problem.

   "COULKERNEL"
      Type:
         Bool

      Default value:
         Yes

      Description:
   "COUPLBLOCK"
      Type:
         Bool

      Default value:
         No

      Description:
   "COUPLSYS"
      Type:
         Integer List

      Description:
   "CPLTAPE"
      Type:
         String

      Description:
   "CThres"
      Type:
         Float

      Default value:
         30.0

      Unit:
         eV

      Description:
         all excitations of all subsystems (present on the fragment
         TAPE21 files) with an excitation energy that differs by less
         than coupling_threshold. From one of the reference states are
         selected to be included in the coupling. Note that additional
         excited states of system 1 may be included here.

   "DIPVEL"
      Type:
         Bool

      Default value:
         No

      Description:
   "DiagType"
      Type:
         Multiple Choice

      Default value:
         EXACT

      Options:
         [EXACT]

      Description:
   "EIGPRINT"
      Type:
         Integer

      Default value:
         100

      Description:
   "ETHRES"
      Type:
         Float

      Default value:
         0.0

      Unit:
         eV

      Description:
         Threshold for effective coupling

   "EXTERNALORTHO"
      Type:
         Float

      Default value:
         1000000.0

      Description:
         EO factor

   "FULLGRID"
      Type:
         Bool

      Default value:
         No

      Description:
   "InvGuess"
      Type:
         Multiple Choice

      Default value:
         EigVal-OrbDiff

      Options:
         [EigVal-OrbDiff, OrbDiff-OrbDiff, Exact]

      Description:
         Type of states to be coupled

   "LOCALFXCK"
      Type:
         Bool

      Default value:
         No

      Description:
   "Lowest"
      Type:
         Integer

      Default value:
         10

      Description:
         The selection of the excited states to be coupled consists of
         two steps

   "NITER"
      Type:
         Integer

      Default value:
         1

      Description:
   "NOINTERSOLV"
      Type:
         Bool

      Default value:
         No

      Description:
   "NOSOLVCCHECK"
      Type:
         Bool

      Default value:
         No

      Description:
   "ONEGRID"
      Type:
         Bool

      Default value:
         No

      Description:
   "OptStates"
      Type:
         Integer List

      Description:
         If the keyword OPTSTATES is given, only those excited states
         of the first subsystem are considered as reference states
         that are given in this list.

   "PFRAGOUT"
      Type:
         Bool

      Default value:
         No

      Description:
   "PTHRES"
      Type:
         Float

      Default value:
         1.0

      Description:
   "SETDIAG"
      Type:
         Float

      Description:
   "SFThres"
      Type:
         Float

      Default value:
         1e-05

      Description:
         To reduce the computational effort, it is possible to ignore
         the effect of orbital pairs with coefficients less than
         solutionfactor_threshold in the solution factors (TDDFT
         eigenvectors) of the underlying uncoupled calculation in the
         construction of the exact trial densities during the
         calculation of the coupling matrix elements. These orbital
         pair contributions are not ignored in the subsequent
         calculation of transition moments, oscillator, and rotational
         strengths.

   "SMARTGRID"
      Type:
         Bool

      Default value:
         No

      Description:
   "Stat2CPL"
      Type:
         Multiple Choice

      Default value:
         OnlyKnown

      Options:
         [OnlyKnown]

      Description:
         Type of states to be coupled

   "TCOMEGA"
      Type:
         Bool

      Default value:
         No

      Description:
         Transpose construction of Omega matrix

   "TDA"
      Type:
         Bool

      Default value:
         No

      Description:
         TDA specifies the use of the Tamm-Dancoff-Approximation
         (Tamm-Dancoff approximation) in the underlying uncoupled FDE-
         TDDFT calculations. Contrary to the full SUBEXCI-TDDFT
         variant, SUBEXCI-TDA allows for the usage of hybrid
         functionals in the underlying uncoupled FDE-TDDFT
         calculations.

   "TKINKERNEL"
      Type:
         Bool

      Default value:
         Yes

      Description:
   "XCKERNEL"
      Type:
         Bool

      Default value:
         Yes

      Description:
"Symmetry"
   Type:
      Multiple Choice

   Default value:
      AUTO

   Options:
      [AUTO, NOSYM, ATOM, C(LIN), D(LIN), C(I), C(S), C(2), C(2V),
      C(3V), C(4V), C(5V), C(6V), C(7V), C(8V), C(2H), D(2), D(3),
      D(4), D(5), D(6), D(7), D(8), D(2D), D(3D), D(4D), D(5D), D(6D),
      D(7D), D(8D), D(2H), D(3H), D(4H), D(5H), D(6H), D(7H), D(8H),
      O(H), T(D)]

   Description:
      Use (sub)symmetry with this Schoenflies symbol. Can only be used
      for molecules. Orientation should be correct for the
      (sub)symmetry. Coordinates must be symmetric within
      SymmetryTolerance.

"SymmetryTolerance"
   Type:
      Float

   Default value:
      1e-07

   Description:
      Tolerance used to detect symmetry in the system. If symmetry
      Schoenflies symbol is specified, the coordinates must be
      symmetric within this tolerance.

"Tails"
   Type:
      Block

   Description:
      Obsolete option for linear scaling and distance effects. We
      recommend using the LinearScaling key instead.

   "Bas"
      Type:
         Float

      Description:
         Parameter related to the threshold for the calculation of
         basis functions on a block of integration points. A higher
         value implies higher precision. The default depends on the
         Integration numerical quality.

   "Fit"
      Type:
         Float

      Description:
         Parameter related to the threshold for the calculation of fit
         functions on a block of integration points. A higher value
         implies higher precision. The default depends on the
         Integration numerical quality.

"TDA"
   Type:
      Bool

   Default value:
      No

   Description:
      Use the Tamm-Dancoff approximation (TDA) (requires the
      EXCITATIONS block key)

"TDDFTSO"
   Type:
      Bool

   Default value:
      No

   Description:
"TIDegeneracyThreshold"
   Type:
      Float

   Default value:
      0.1

   Unit:
      eV

   Description:
      If the orbital energy of the fragment MO is within this
      threshold with fragment HOMO or LUMO energy, then this fragment
      MO is included in the calculation of the transfer integrals.
      Relevant in case there is (near) degeneracy.

"Title"
   Type:
      String

   Default value:
      *** (NO TITLE) ***

   Description:
      Title of the calculation.

"TotalEnergy"
   Type:
      Bool

   Default value:
      No

   GUI name:
      Print: Total Energy

   Description:
      Calculate the total energy.

      Normally only the bonding energy with respect to the fragments
      is calculated.

      The total energy will be less accurate then the bonding energy
      (about two decimal places), and is not compatible with some
      options.

      In most cases the total energy will not be needed.

"TransferIntegrals"
   Type:
      Bool

   Default value:
      No

   GUI name:
      : Charge transfer integrals (for transport properties)

   Description:
      Calculate the charge transfer integrals, spatial overlap
      integrals and site energies.

      Charge transfer integrals can be used in models that calculate
      transport properties.

"Unrestricted"
   Type:
      Bool

   Default value:
      No

   Description:
      By default, a spin-restricted calculation is performed where the
      spin alpha and spin beta orbitals are spatially the same.

"UnrestrictedFragments"
   Type:
      Bool

   Default value:
      No

   Description:
      Use fragments calculated a spin-unrestricted calculation: the
      spin alpha and spin beta orbitals may be spatially different.

      The total spin polarization of your fragments must match the
      spin polarization of your final molecule.

"UseSPCode"
   Type:
      Bool

   Default value:
      No

   Description:
      Use Patchkovskii routines for PBE

"VectorLength"
   Type:
      Integer

   GUI name:
      Vectorlength (blocksize)

   Description:
      Specify a different batch size for the integration points here
      (default: 128 on most machines and 2047 on vector machines).

"VSCRF"
   Type:
      Non-standard block

   Description:
      VSCRF is no longer supported. Use AMS2023 or earlier.

"XC"
   Type:
      Block

   Description:
      Definition of the XC.

   "Dispersion"
      Type:
         String

      Description:
         Dispersion corrections.

   "DoubleHybrid"
      Type:
         String

      Description:
         Specifies the double hybrid functional that should be used
         during the SCF.

   "EmpiricalScaling"
      Type:
         Multiple Choice

      Default value:
         None

      Options:
         [None, SOS, SCS, SCSMI]

      Description:
         Calculate the (SOS/SCS/SCSMI)-MP2 correlation energy.

   "GALITSKIIMIGDAL"
      Type:
         Bool

      Default value:
         No

      Description:
         Calculate the Galitskii-Migdal correlation energy after the
         SCF is completed.

   "GCPparameters"
      Type:
         String

      Description:
         Applying parameters for the geometrical counter poise
         correction.

   "GGA"
      Type:
         String

      Description:
         Specifies the GGA part of the XC Functional

   "HartreeFock"
      Type:
         Bool

      Default value:
         No

      Description:
         Use the Hartree-Fock exchange should be used during the SCF.

   "Hybrid"
      Type:
         String

      Description:
         Specifies the hybrid functional that should be used during
         the SCF.

   "LDA"
      Type:
         String

      Description:
         Defines the LDA part of the XC functional

   "LibXC"
      Type:
         String

      Description:
         Use the LibXC library with the specified functional.

   "MP2"
      Type:
         Bool

      Default value:
         No

      Description:
         Calculate the MP2 correlation energy after the HF SCF is
         completed.

   "MetaGGA"
      Type:
         String

      Description:
         Specifies that a meta-GGA should be used during the SCF

   "MetaHybrid"
      Type:
         String

      Description:
         Specifies the meta-hybrid functional that should be used
         during the SCF.

   "Model"
      Type:
         String

      Description:
         Model potential to be used

   "NoLibXC"
      Type:
         Bool

      Default value:
         No

      Description:
         Prevent the usage of the LibXC library

   "OEP"
      Type:
         String

      Description:
         Defines the optimized effective potential expanded into a set
         of the fit functions

   "RPA"
      Type:
         Multiple Choice

      Default value:
         None

      Options:
         [None, Direct, Sigma, SOSEX, SOSSX]

      Description:
         Specifies the use of an RPA or post-RPA method. By default,
         RPA is not enabled.

   "RangeSep"
      Type:
         String

      Description:
         Range separated hybrids parameters

   "XCFun"
      Type:
         Bool

      Default value:
         No

      Description:
         Use the XCFun library

   "gCP"
      Type:
         String

      Description:
         Use the geometrical counter poise correction.

"XES"
   Type:
      Block

   Description:
      X-ray emission spectroscopy

   "AllXESMoments"
      Type:
         Bool

      Default value:
         No

      GUI name:
         Print: All XES Moments

      Description:
         Print out all the individual transition moments used within
         the calculation of the total oscillator strength

   "AllXESQuadrupole"
      Type:
         Bool

      Default value:
         No

      GUI name:
         : All XES Quadrupole

      Description:
         Print out the individual oscillator strength components to
         the total oscillator strength

   "CoreHole"
      Type:
         String

      GUI name:
         Acceptor orbital

      Description:
         selection of the acceptor orbital for the calculation of the
         emission oscillator strengths. For example 'CoreHole A1 2'
         calculates oscillator strengths to the orbital 2 in irrep A1.

         In AMSinput you may also use the notation 2A1 (so first the
         orbital number, next the symmetry)

   "Enabled"
      Type:
         Bool

      Default value:
         No

      GUI name:
         Calculate XES

      Description:
         Calculate the X-ray emission energies to a core orbital.

         By default it calculates the emission to the first orbital in
         the first symmetry.

"ZExact"
   Type:
      Bool

   Default value:
      No

   Description:
      Expert option in TDDFT excitations.

"ZFS"
   Type:
      String

   Description:
      Calculate the zero-field splitting (ZFS) of an open shell ground
      state. An unrestricted calculation is required and a spin larger
      than 1/2, and no no spatial degeneracy. Scalar relativistic ZORA
      is required.

"ZlmFit"
   Type:
      Block

   Description:
      Options for the density fitting scheme 'ZlmFit'.

   "AllowBoost"
      Type:
         Bool

      Default value:
         Yes

      Description:
         Allow automatic atom-dependent tuning of maximum l of
         spherical harmonics expansion. Whether or not this boost is
         needed for a given atom is based on an heuristic estimate of
         how complex the density around that atom is.

   "DensityThreshold"
      Type:
         Float

      Default value:
         1e-07

      Description:
         Threshold below which the electron density is considered to
         be negligible.

   "GridAngOrder"
      Type:
         Integer

      Default value:
         21

      Description:
   "GridRadialFactor"
      Type:
         Float

      Default value:
         1.0

      Description:
   "PartitionFunThreshold"
      Type:
         Float

      Default value:
         0.0

      Description:
   "PotentialThreshold"
      Type:
         Float

      Default value:
         1e-07

      Description:
   "Pruning"
      Type:
         Bool

      Default value:
         Yes

      Description:
   "Quality"
      Type:
         Multiple Choice

      Default value:
         Auto

      Options:
         [Auto, Basic, Normal, Good, VeryGood, Excellent]

      Description:
         Quality of the density-fitting approximation. For a
         description of the various qualities and the associated
         numerical accuracy see reference. If 'Auto', the quality
         defined in the 'NumericalQuality' will be used.

   "QualityPerRegion"
      Type:
         Block

      Recurring:
         True

      Description:
         Sets the ZlmFit quality for all atoms in a region. If
         specified, this overwrites the globally set quality.

      "Quality"
         Type:
            Multiple Choice

         Options:
            [Basic, Normal, Good, VeryGood, Excellent]

         Description:
            The region's quality of the ZlmFit.

      "Region"
         Type:
            String

         Description:
            The identifier of the region for which to set the quality.

   "lExpansion"
      Type:
         Integer

      Default value:
         4

      Description:
   "lMargin"
      Type:
         Integer

      Default value:
         4

      Description:

adfnbo
------

"ADFFile"
   Type:
      String

   Default value:
      TAPE21

   Description:
      Path to TAPE21 file from which adfnbo reads data and to which
      adfnbo possibly writes data

"Choose"
   Type:
      Non-standard block

   Description:
"Copy"
   Type:
      Bool

   Default value:
      No

   Description:
"Debug"
   Type:
      Bool

   Default value:
      No

   Description:
"Fock"
   Type:
      Bool

   Default value:
      No

   Description:
"NBOKeyList"
   Type:
      String

   Default value:
      BNDIDX NBONLMO=W AONBO=W AONLMO=W NLMOMO=W STERIC DIST

   Description:
      $NBO keylist

"Read"
   Type:
      Bool

   Default value:
      No

   Description:
"Spherical"
   Type:
      Bool

   Default value:
      Yes

   Description:
"TAPE15File"
   Type:
      String

   Default value:
      TAPE15

   Description:
      Path to the TAPE15 file from which adfnbo reads data

"TestJob"
   Type:
      Bool

   Default value:
      No

   Description:
      include extra options in FILE47, such as NRT (natural resonance
      theory) which is expensive for large molecules

"Write"
   Type:
      Bool

   Default value:
      No

   Description:

cpl
---

"ADFFile"
   Type:
      String

   Default value:
      TAPE21

   Description:
      Path to TAPE21 file from which cpl reads data and to which cpl
      writes data

"CALCV2007"
   Type:
      Bool

   Default value:
      No

   Description:
      compatibility with older versions of CPL that did not use the
      SAPA approximation but always calculated the potential during
      the CPL run, which is inconsistent with SAPA settings in ADF

"Fractional"
   Type:
      Bool

   Default value:
      No

   Description:
      Allow Fractional occupations

"GGA"
   Type:
      Bool

   Default value:
      No

   Description:
      Use first-order GGA potential instead of the first-order VWN
      potential

"Hyperfine"
   Type:
      Block

   Description:
      control the computation of the NSSCCs

   "ADFGUI"
      Type:
         Bool

      Description:
   "Atoms"
      Type:
         Integer List

      Recurring:
         True

      Description:
   "Enabled"
      Type:
         Bool

      Default value:
         No

      Description:
   "FC"
      Type:
         Bool

      Default value:
         No

      Description:
   "NOFC"
      Type:
         Bool

      Default value:
         No

      Description:
   "NOPSOSO"
      Type:
         Bool

      Default value:
         No

      Description:
   "NOSD"
      Type:
         Bool

      Default value:
         No

      Description:
   "Nuclei"
      Type:
         Integer List

      Recurring:
         True

      Description:
   "PSOSO"
      Type:
         Bool

      Default value:
         No

      Description:
   "SCF"
      Type:
         Block

      Description:
      "Converge"
         Type:
            Float

         Default value:
            0.0001

         Description:
            maximum number of iterations

      "Iterations"
         Type:
            Integer

         Default value:
            25

         Description:
            maximum number of iterations

      "NOCYC"
         Type:
            Bool

         Default value:
            No

         Description:
   "SD"
      Type:
         Bool

      Default value:
         No

      Description:
"NMRCoupling"
   Type:
      Block

   Description:
      control the computation of the NSSCCs

   "ADFGUI"
      Type:
         Bool

      Description:
   "ALDA"
      Type:
         Bool

      Default value:
         No

      Description:
   "AtomPert"
      Type:
         Integer List

      Recurring:
         True

      Description:
   "AtomResp"
      Type:
         Integer List

      Recurring:
         True

      Description:
   "Contributions"
      Type:
         String

      Description:
         Analyze orbital contributions

   "DSO"
      Type:
         Bool

      Default value:
         No

      Description:
   "FC"
      Type:
         Bool

      Default value:
         No

      Description:
   "Gamma"
      Type:
         String

      Recurring:
         True

      Description:
   "NOFC"
      Type:
         Bool

      Default value:
         No

      Description:
   "NOSD"
      Type:
         Bool

      Default value:
         No

      Description:
   "Nuclei"
      Type:
         Integer List

      Recurring:
         True

      Description:
   "PSO"
      Type:
         Bool

      Default value:
         No

      Description:
   "PertAllAtomsOfType"
      Type:
         String

      Description:
         Space separated list of type of perturbing nuclei (like H, C,
         P) for which the NMR spin-spin coupling should be calculated.

   "RespAllAtomsOfType"
      Type:
         String

      Description:
         Space separated list of type of responding nuclei (like H, C,
         P) for which the NMR spin-spin coupling should be calculated.

   "SCF"
      Type:
         Block

      Description:
      "Converge"
         Type:
            Float

         Default value:
            0.0001

         Description:
            maximum number of iterations

      "Iterations"
         Type:
            Integer

         Default value:
            25

         Description:
            maximum number of iterations

      "NOCYC"
         Type:
            Bool

         Default value:
            No

         Description:
   "SD"
      Type:
         Bool

      Default value:
         No

      Description:
   "XAlpha"
      Type:
         Bool

      Default value:
         No

      Description:
"Save"
   Type:
      String

   Recurring:
      True

   Description:
"TAPE10File"
   Type:
      String

   Default value:
      TAPE10

   Description:
      Path to the TAPE10 file from which cpl reads data


densf
-----

"ADFFile"
   Type:
      String

   Default value:
      TAPE21

   Description:
      Path to the TAPE21 file from which densf reads the input data

"AOResponse"
   Type:
      String

   Description:
"Convert"
   Type:
      Bool

   Default value:
      No

   Description:
"COSMO"
   Type:
      Bool

   Default value:
      No

   Description:
"CubInput"
   Type:
      String

   Description:
      If the CubInput keyword is present then the grid as specified in
      the file is used to calculate all requested quantities. Any
      volume data found in the cube file is also saved in the output
      file. NOTE: CUBINPUT option cannot be used with a pre-existing
      TAPE41 file because they both specify the grid, which may lead
      to a conflict.

"CubOutput"
   Type:
      String

   Description:
      Presence of the CubOutput keyword tells densf to save all
      computed quantities as cube files using file as filename prefix.
      The prefix can also contain a complete path including
      directories. For example, specifying the following in the densf
      input

"DenGrad"
   Type:
      String

   Recurring:
      True

   Description:
"DenHess"
   Type:
      String

   Recurring:
      True

   Description:
"Density"
   Type:
      String

   Recurring:
      True

   Description:
"DualDescriptor"
   Type:
      Bool

   Default value:
      No

   Description:
"Extend"
   Type:
      Float

   Description:
      Extend grid?

"FOD"
   Type:
      Bool

   Default value:
      No

   Description:
"GenFit"
   Type:
      Non-standard block

   Description:
"Grid"
   Type:
      Non-standard block

   Description:
"IrrepDensity"
   Type:
      Non-standard block

   Description:
      Select particular symmetry to compute the electron density for.

"KinDens"
   Type:
      String

   Recurring:
      True

   Description:
"Laplacian"
   Type:
      String

   Recurring:
      True

   Description:
"Line"
   Type:
      Non-standard block

   Description:
"NCI"
   Type:
      String

   Description:
"NEBImage"
   Type:
      Integer

   Description:
"NOCV"
   Type:
      Non-standard block

   Description:
"Orbitals"
   Type:
      Non-standard block

   Recurring:
      True

   Description:
"OutputFile"
   Type:
      String

   Default value:
      TAPE41

   Description:
      Path to the (possibly existing) TAPE41 file. If the file exists,
      densf will read grid specifications from it ignoring GRID
      keyword in the input. Computed quantities are saved in the file
      overwriting existing data with the same name, if any

"POLTDDFT"
   Type:
      Integer

   Default value:
      0

   Description:
      Frequency point for transition density

"Potential"
   Type:
      String

   Recurring:
      True

   Description:
"QP"
   Type:
      Bool

   Default value:
      No

   Description:
"Ridge"
   Type:
      Bool

   Default value:
      No

   Description:
"RISM"
   Type:
      Bool

   Default value:
      No

   Description:
"SEDD"
   Type:
      Bool

   Default value:
      No

   Description:
"Spinor"
   Type:
      Non-standard block

   Description:
"StericInteraction"
   Type:
      Non-standard block

   Description:
"TAPE16File"
   Type:
      String

   Default value:
      TAPE16

   Description:
      Path to the TAPE16 file from which densf reads the input data

"TransitionDensity"
   Type:
      Non-standard block

   Description:
      Select particular excitations to calculate the transition
      density for. Format: SS|ST SymLabel Index

"Units"
   Type:
      Block

   Description:
      Definitions of the units.

   "length"
      Type:
         Multiple Choice

      Default value:
         angstrom

      Options:
         [bohr, angstrom]

      Description:
         Units of length

"VTKFile"
   Type:
      String

   Description:
      Specifies path to a file in the format readable by VTK directly.
      This option exists primarily for better integration with AMS-GUI
      and the user should not specify it.


green
-----

"DOS"
   Type:
      String

   Description:
      Enables the calculation of the density of states. The string
      specifies the TAPE21 file containing the result of an ADF
      calculation of the extended molecule (performed with SYMMETRY
      NOSYM)

"Eps"
   Type:
      String

   Description:
      mineps maxeps numeps: The energy range for which either the
      self-energy matrices or the DOS and transmission have to be
      calculated. The range consists of numeps (<=1) points running
      from mineps to maxeps inclusive.

"ETA"
   Type:
      Float

   Default value:
      1e-06

   Unit:
      Hartree

   Description:
      The imaginary energy, or the distance from the real axis, in the
      calculation of the Green's function. The value needs to be a
      small positive number to prevent singularities in the
      calculation.

"FermiLevel"
   Type:
      String

   Description:
"Left"
   Type:
      Block

   Description:
      Specify the left self-energies used in a calculation of the DOS
      and transmission. If a filename is specified in the header, the
      self-energy matrices are read from that file.

   "ETA"
      Type:
         Float

      Default value:
         0.001

      Unit:
         Hartree

      Description:
         Magnitude of the coupling

   "Fragment"
      Type:
         String

      Description:
"NoSave"
   Type:
      String

   Description:
"Right"
   Type:
      Block

   Description:
      Specify the right self-energies used in a calculation of the DOS
      and transmission. If a filename is specified in the header, the
      self-energy matrices are read from that file.

   "ETA"
      Type:
         Float

      Default value:
         0.001

      Unit:
         Hartree

      Description:
         Magnitude of the coupling

   "Fragment"
      Type:
         String

      Description:
"SO"
   Type:
      Float List

   Description:
"Surface"
   Type:
      Block

   Description:
      Enables the calculation of the self-energy matrices. The
      filename in the header specifies the TAPE21 file resulting from
      an ADF calculation of the contacts

   "Fragments"
      Type:
         String

      Description:
         The two principal layers between which the surface is defined

"Trans"
   Type:
      String

   Description:

lfdft
-----

"ADFFile"
   Type:
      String

   Default value:
      TAPE21

   Description:
      Path to TAPE21 file from which lfdft reads data and to which
      lfdft writes data

"BField"
   Type:
      Float List

   Default value:
      [0.0, 0.0, 0.0]

   Unit:
      Tesla

   Description:
      Include a finite magnetic Field. For MCD calculations include a
      magnetic field in the z-direction. The DegeneracyThreshold
      should be small to see the splitting of levels due to the
      magnetic field.

"DegeneracyThreshold"
   Type:
      Float

   Default value:
      0.001

   Unit:
      eV

   Description:
      Energy difference threshold to determine degenerate levels

"MOIND1"
   Type:
      Integer List

   Default value:
      [0, 0, 0, 0, 0, 0, 0]

   Description:
      The indices of the MOs that participate for shell 1.

"MOIND2"
   Type:
      Integer List

   Default value:
      [0, 0, 0, 0, 0, 0, 0]

   Description:
      The indices of the MOs that participate for shell 2.

"NLVAL1"
   Type:
      Integer List

   Default value:
      [0, 0]

   Description:
      n and l value of shell 1.

"NLVAL2"
   Type:
      Integer List

   Default value:
      [0, 0]

   Description:
      n and l value of shell 2.

"NSHELL"
   Type:
      Integer

   Default value:
      1

   Description:
      number of shells

"SOC"
   Type:
      Float List

   Default value:
      [1.0, 1.0, 1.0, 1.0]

   Description:
      Include Spin-Orbit coupling for the shells, scaling it with the
      specified factor(s).

"SOCType"
   Type:
      Block

   Description:
      Choose the type of Spin-Orbit coupling calculation used for the
      shells.

   "Shell1"
      Type:
         Multiple Choice

      Default value:
         ZORA

      Options:
         [ZORA, Core]

      Description:
         Type of Spin-Orbit coupling for the first shell

   "Shell2"
      Type:
         Multiple Choice

      Default value:
         ZORA

      Options:
         [ZORA, Core]

      Description:
         Type of Spin-Orbit coupling for the second shell


lfdft_tdm
---------

"STATE1"
   Type:
      String

   Default value:
      NONE

   Description:
      NAME of the state1 file.

"STATE2"
   Type:
      String

   Default value:
      NONE

   Description:
      NAME of the state2 file.


nmr
---

"ADFFile"
   Type:
      String

   Default value:
      TAPE21

   Description:
      Path to TAPE21 file from which nmr reads data and to which nmr
      writes data

"AllInOne"
   Type:
      Bool

   Description:
      Tensor in one step

"Analysis"
   Type:
      Block

   Description:
      Block for analysis options.

   "Components"
      Type:
         Bool

      Default value:
         No

      Description:
         The components keyword is optional and enables an analysis
         not only of the isotropic shielding but also of the diagonal
         Cartesian components of the tensor XX, YY, and ZZ). In order
         to analyze the principal shielding tensor components with
         canonical MOs you can calculate the shielding tensor first
         with the NMR code, rotate the molecule such that the
         principal axes system aligns with the Cartesian coordinate
         system, and then repeat the NMR calculation with the analysis
         features switched on.

   "FakeSO"
      Type:
         Bool

      Default value:
         No

      Description:
   "NoPrincipal"
      Type:
         Bool

      Default value:
         No

      Description:
         Do not transform to principal axes for analysis

   "Print"
      Type:
         Float

      Default value:
         0.001

      Description:
         The print keyword selects printout of contributions relative
         to the total diamagnetic, paramagnetic. For example in case
         of print 0.01 only contributions greater than 1% are printed.
         Set to zero to print ALL contributions.

   "ZSOAO2007"
      Type:
         Bool

      Default value:
         No

      Description:
   "canonical"
      Type:
         Bool

      Default value:
         No

      Description:
         It enables an analysis of the shielding in terms of the
         canonical MOs.

   "nbo"
      Type:
         Bool

      Default value:
         No

      Description:
"FakeSO"
   Type:
      Bool

   Default value:
      No

   Description:
"Fractional"
   Type:
      Bool

   Default value:
      No

   Description:
"HFAtomsPerPass"
   Type:
      Integer

   Description:
      Memory usage option for old HF scheme

"HFMaxMemory"
   Type:
      Integer

   Description:
      Memory usage option for old HF scheme

"Logfile"
   Type:
      String

   Default value:
      Flush

   Description:
"NBO"
   Type:
      Bool

   Description:
"NMR"
   Type:
      Block

   Description:
      Main NMR options.

   "ADFGUI"
      Type:
         Bool

      Default value:
         No

      Description:
   "AllAtomsOfType"
      Type:
         String

      Description:
         Space separated list of type of nuclei (like H, C, P) for
         which the NMR shielding should be calculated. In addition to
         Nuc or Atoms.

   "Analysis"
      Type:
         Integer

      GUI name:
         Number of MOs in analysis

      Description:
         This key controls the MO analysis. Its value should be an
         integer, which then specifies that the first so many MOs are
         to be analyzed.

         Default no Analysis.

         The value of this analysis subkey in the block key NMR is
         somewhat limited. The separate ANALYSIS block key can give
         more analysis of the NMR chemical shielding.

   "Atoms"
      Type:
         Integer List

      Recurring:
         True

      Description:
         This subkey ATOMS specifies for which nuclei the NMR
         shielding is calculated. Default all nuclei are calculated,
         i.e. as for omitting the subkeys ATOMS and NUC. The numbers
         refer to the input ordering in the ADF calculation. Use the
         subkey NUC to specify the nuclei according to the internal
         NMR numbers of the atoms.

   "Calc"
      Type:
         String

      Default value:
         All

      Description:
         The sub key Calc controls what is actually calculated. All:
         Implies all of the other options to this key. Para: The
         paramagnetic part, Dia: The diamagnetic part, FC: The Fermi-
         contact part in case of the Pauli Hamiltonian, SO: The Fermi-
         contact part in case of the ZORA Hamiltonian.

   "GFactors"
      Type:
         Bool

      Default value:
         No

      Description:
         Calculate g-factors

   "Ghosts"
      Type:
         Non-standard block

      Description:
         The subkey GHOSTS is a block type subkey. The format is
         Ghosts | xx1 yy1 zz1 | xx2 yy2 zz2 | ... | SubEnd

   "Nuc"
      Type:
         Integer List

      Description:
         This subkey NUC specifies for which nuclei the NMR shielding
         is calculated. Default all nuclei are calculated, i.e. as for
         omitting the subkeys ATOMS and NUC. Else you may use this
         options by simply typing Nuc in the NMR block (without any
         further data); this means: for no nuclei at all.
         Alternatively you may type the index of the atom(s) you want
         to see analyzed. Default all nuclei are calculated, i.e. as
         for omitting this subkey. The numbers refer to the internal
         numbering of the nuclei as it appears somewhere early in the
         general ADF output. This internal numbering is also the
         internal NMR numbering, but it is not necessarily the same as
         the input ordering. Use the subkey ATOMS to specify the
         nuclei according to this input ordering in the ADF
         calculation. Note that the number of nuclei has a significant
         consequence for the total CPU time.

   "Out"
      Type:
         String

      Default value:
         ISO TENS

      Description:
         Controls printed output. Options: All: All the other options,
         ISO: Isotropic shielding constants, Tens: Shielding tensors,
         Eig: Eigenvectors, U1: The U1 Matrix, F1: The first order
         change in the Fock matrix, S1: The first order change in the
         Overlap matrix, AOP: The paramagnetic AO matrix (= the matrix
         in the representation of elementary atomic basis functions),
         AOD: The diamagnetic AO matrix, AOF: The Fermi-contact AO
         matrix, Refs: Literature references, INFO: General
         information.

   "SCF"
      Type:
         Float

      Default value:
         1e-06

      Description:
         Convergence threshold for CPKS cycle

   "U1K"
      Type:
         String

      Default value:
         Best

      Description:
         Determines which terms are included in the calculation of the
         U1 matrix (first order changes in MO coefficients). Best: The
         best (recommended) options for each relativistic option are
         included for this subkey. Implies None for non-relativistic
         and scalar relativistic ZORA, SO + SOFULL for spin-orbit
         coupled ZORA, and MV + Dar for the Pauli Hamiltonian. None:
         Implies none of the other options to this key. All: Implies
         all the other options to this key. MV: The mass-velocity
         term. Dar: The Darwin term. ZMAN: The Spin-Zeeman term (can
         be included only in case of spin-orbit coupled Pauli
         Hamiltonian). SO: ZORA spin-orbit part. SOFULL: ZORA spin-
         orbit part.

   "Use"
      Type:
         String

      Description:
         The subkey Use controls some optional options. FXC: Improves
         the exchange-correlation kernel used, as was implemented by
         J. Autschbach
         [http://dx.doi.org/10.1080/00268976.2013.796415]. Important
         only in case of spin-orbit coupled calculations. This may
         give some (small) gauge dependent results when using this.
         Important option that should be seriously considered and has
         been advocated in Ref
         [http://dx.doi.org/10.1080/00268976.2013.796415]. SCALED:
         Implies the scaled ZORA method, which gives (slightly) gauge
         dependent results. Note that in case of the ZORA Hamiltonian
         default the unscaled ZORA method is used. For chemical
         shifts, only compare results with the same options. SO1C:
         Before ADF2008.01 in the the spin-orbit term a 1-center
         approximation was used, which does not suffer from gauge
         dependence. This 1-center approximation can be used with USE
         SO1C.

"NoScale"
   Type:
      Bool

   Description:
"PNMRFile"
   Type:
      String

   Default value:
   Description:
      Path to file that contains pNMR data

"RecalculateTAPE10"
   Type:
      Bool

   Default value:
      No

   Description:
"Save"
   Type:
      String

   Recurring:
      True

   Description:
"Scaled"
   Type:
      Bool

   Description:
"TAPE10File"
   Type:
      String

   Default value:
      TAPE10

   Description:
      Path to the TAPE10 file from which nmr reads data

"Temperature"
   Type:
      Float

   Default value:
      298.15

   Description:
      Temperature (Kelvin) for temperature dependent part shielding
      tensor.
